AC_PROG_CC
AC_PROG_CXX
-AC_PROG_CC_C_O dnl Determine if C compiler support -c -o.
+AC_PROG_CC_C_O dnl Determine if C compiler support -c -o.
AC_PROG_GCC_TRADITIONAL dnl Determine if ioctl() need -traditional.
BASECC=`basename $CC`
AC_HELP_STRING([--enable-libtool], [enable building using GNU libtool @<:@default=yes@:>@]),
[
if test x$enableval = xno; then
- use_libtool=no
+ use_libtool=no
fi
]
)
QMAKE_LIBTOOL="# ${BUILD_DIR}/libtool"
fi
+INCLUDE_INSTALL_TARGET=""
+INCLUDE_UNINSTALL_TARGET=""
+
AC_SUBST(DEFAULT_OBJECT_TYPE)
AC_SUBST(DEFAULT_ARCHIVE_TYPE)
AC_SUBST(DEFAULT_SHARED_OBJECT_TYPE)
AC_SUBST(LIBTOOL_INSTALL_TARGET)
AC_SUBST(LIBTOOL_UNINSTALL_TARGET)
AC_SUBST(LIBTOOL_CLEAN_TARGET)
+AC_SUBST(INCLUDE_INSTALL_TARGET)
+AC_SUBST(INCLUDE_UNINSTALL_TARGET)
AC_SUBST(QMAKE_LIBTOOL)
dnl --------------------------------------------------
if test x$mandir = x'${prefix}/man' ; then
mandir=/usr/share/man
fi
-
+
AC_PATH_PROGS(MSGFMT, msgfmt, no)
if test "$MSGFMT" = "no"
then
AC_HELP_STRING([--enable-gnome], [enable build of bgnome-console GUI @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- support_gnome=yes
+ support_gnome=yes
fi
]
)
AC_HELP_STRING([--enable-bat], [enable build of bat Qt4 GUI @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- AC_DEFINE(HAVE_BAT, 1, [Set if Bacula bat Qt4 GUI support enabled])
- support_bat=yes
+ AC_DEFINE(HAVE_BAT, 1, [Set if Bacula bat Qt4 GUI support enabled])
+ support_bat=yes
fi
]
)
AC_ARG_WITH(qwt,
AC_HELP_STRING([--with-qwt@<:@=DIR@:>@], [specify qwt library directory]),
[
- case "$with_qwt" in
- no)
- no_qwt=yes
- ;;
- yes|*)
- if test -f ${with_qwt}/include/qwt.h; then
- QWT_INC="${with_qwt}/include"
- QWT_LDFLAGS="-L${with_qwt}/lib"
- QWT_LIB="-lqwt"
- QWT="qwt"
- fi
- ;;
- esac
+ case "$with_qwt" in
+ no)
+ no_qwt=yes
+ ;;
+ yes|*)
+ if test -f ${with_qwt}/include/qwt.h; then
+ QWT_INC="${with_qwt}/include"
+ QWT_LDFLAGS="-L${with_qwt}/lib"
+ QWT_LIB="-lqwt"
+ QWT="qwt"
+ fi
+ ;;
+ esac
]
)
dnl
if test $no_qwt = no; then
if test x$QWT_INC = x; then
- for root in /usr /usr/local; do
- for ver in qwt qwt5 qwt-qt4; do
- if test -f ${root}/include/${ver}/qwt.h; then
- QWT_INC="${root}/include/${ver}"
- if test -d ${root}/lib64/; then
- QWT_LDFLAGS="-L${root}/lib64"
- elif test -d ${root}/lib/64/; then
- QWT_LDFLAGS="-L${root}/64"
- else
- QWT_LDFLAGS="-L${root}/lib"
- fi
- QWT_LIB="-lqwt"
- QWT="qwt"
- got_qwt=yes
- break;
- fi
- done
- done
+ for root in /usr /usr/local; do
+ for ver in qwt qwt5 qwt-qt4; do
+ if test -f ${root}/include/${ver}/qwt.h; then
+ QWT_INC="${root}/include/${ver}"
+ if test -d ${root}/lib64/; then
+ QWT_LDFLAGS="-L${root}/lib64"
+ elif test -d ${root}/lib/64/; then
+ QWT_LDFLAGS="-L${root}/64"
+ else
+ QWT_LDFLAGS="-L${root}/lib"
+ fi
+ QWT_LIB="-lqwt"
+ QWT="qwt"
+ got_qwt=yes
+ break;
+ fi
+ done
+ done
fi
fi
if test x$QWT_INC = x; then
AC_HELP_STRING([--enable-bwx-console], [enable build of wxWidgets console @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- support_wx_console=yes
+ support_wx_console=yes
fi
]
)
AC_HELP_STRING([--enable-tray-monitor], [enable build of Gnome tray monitor (compatible with KDE @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- support_tray_monitor=yes
+ support_tray_monitor=yes
fi
]
)
abc=`$PKGCONFIG --atleast-version=2.4 gtk+-2.0`
pkg=$?
if test $pkg = 0; then
- AC_DEFINE(HAVE_GTK_2_4, 1, [Set if you have GTK 4.2 or greater loaded])
+ AC_DEFINE(HAVE_GTK_2_4, 1, [Set if you have GTK 4.2 or greater loaded])
fi
fi
fi
AC_HELP_STRING([--enable-smartalloc], [enable smartalloc debugging support @<:@default=no@:>@]),
[
if test x$enableval = xno; then
- support_smartalloc=no
+ support_smartalloc=no
fi
]
)
AC_HELP_STRING([--enable-static-tools], [enable static tape tools @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- support_static_tools=yes
+ support_static_tools=yes
fi
]
)
AC_SUBST(TTOOL_LDFLAGS)
dnl -------------------------------------------
-dnl static-fd (default off)
+dnl static-fd (default off)
dnl -------------------------------------------
AC_ARG_ENABLE(static-fd,
AC_HELP_STRING([--enable-static-fd], [enable static File daemon @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- support_static_fd=yes
+ support_static_fd=yes
fi
]
)
AC_SUBST(STATIC_FD)
dnl -------------------------------------------
-dnl static-sd (default off)
+dnl static-sd (default off)
dnl -------------------------------------------
AC_ARG_ENABLE(static-sd,
AC_HELP_STRING([--enable-static-sd], [enable static Storage daemon @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- support_static_sd=yes
+ support_static_sd=yes
fi
]
)
AC_SUBST(STATIC_SD)
dnl -------------------------------------------
-dnl static-dir (default off)
+dnl static-dir (default off)
dnl -------------------------------------------
AC_ARG_ENABLE(static-dir,
AC_HELP_STRING([--enable-static-dir], [enable static Director @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- support_static_dir=yes
+ support_static_dir=yes
fi
]
)
AC_HELP_STRING([--enable-static-cons], [enable static Console @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- support_static_cons=yes
+ support_static_cons=yes
fi
]
)
AC_HELP_STRING([--enable-client-only], [build client (File daemon) only @<:@default=no@:>@]),
[
if test x$enableval = xyes; then
- build_client_only=yes
- db_type=None
- DB_TYPE=none
+ build_client_only=yes
+ db_type=None
+ DB_TYPE=none
fi
]
)
AC_HELP_STRING([--enable-build-dird], [enable building of dird (Director) @<:@default=yes@:>@]),
[
if test x$enableval = xno; then
- build_dird=no
+ build_dird=no
fi
]
)
AC_HELP_STRING([--enable-build-stored], [enable building of stored (Storage daemon) @<:@default=yes@:>@]),
[
if test x$enableval = xno; then
- build_stored=no
+ build_stored=no
fi
]
)
AC_HELP_STRING([--disable-conio], [disable conio support @<:@default=no@:>@]),
[
if test x$enableval = xno; then
- support_conio=no
+ support_conio=no
fi
]
)
AC_HELP_STRING([--enable-ipv6], [enable ipv6 support @<:@default=yes@:>@]),
[
if test x$enableval = xno; then
- support_ipv6=no
+ support_ipv6=no
fi
]
)
[
AC_CHECK_HEADERS(curses.h)
AC_CHECK_HEADER(term.h,
- [ AC_CHECK_LIB(curses, tgetent,
+ [ AC_CHECK_LIB(curses, tgetent,
[ CONS_LIBS="-lcurses"
- CONS_OBJ="conio.o"
- CONS_SRC="conio.c"
- got_conio="yes"
- support_readline=no
- AC_DEFINE(HAVE_CONIO, 1, [Set if Bacula conio support enabled])
+ CONS_OBJ="conio.o"
+ CONS_SRC="conio.c"
+ got_conio="yes"
+ support_readline=no
+ AC_DEFINE(HAVE_CONIO, 1, [Set if Bacula conio support enabled])
])
- ],
- [ echo " "; echo "Required libraries not found. CONIO turned off ..."; echo " "],
+ ],
+ [ echo " "; echo "Required libraries not found. CONIO turned off ..."; echo " "],
[#if HAVE_CURSES_H
#include <curses.h>
#endif
AC_HELP_STRING([--disable-readline], [disable readline support @<:@default=yes@:>@]),
[
if test x$enableval = xno; then
- support_readline=no
+ support_readline=no
fi
]
)
AC_ARG_WITH(readline,
AC_HELP_STRING([--with-readline@<:@=DIR@:>@], [specify readline library directory]),
[
- case "$with_readline" in
- no)
- :
- ;;
- yes|*)
- if test -f ${with_readline}/readline.h; then
- CONS_INC="-I${with_readline}"
- CONS_LDFLAGS="-L$with_readline"
- elif test -f ${with_readline}/include/readline/readline.h; then
- CONS_INC="-I${with_readline}/include/readline"
- CONS_LDFLAGS="-L${with_readline}/lib"
- with_readline="${with_readline}/include/readline"
- else
- with_readline="/usr/include/readline"
- fi
-
- AC_CHECK_HEADER(${with_readline}/readline.h,
- [
- AC_DEFINE(HAVE_READLINE, 1, [Set to enable readline support])
- CONS_LIBS="-lreadline -lhistory -ltermcap"
- got_readline="yes"
- ], [
- echo " "
- echo "readline.h not found. readline turned off ..."
- echo " "
- ]
- )
- ;;
- esac
+ case "$with_readline" in
+ no)
+ :
+ ;;
+ yes|*)
+ if test -f ${with_readline}/readline.h; then
+ CONS_INC="-I${with_readline}"
+ CONS_LDFLAGS="-L$with_readline"
+ elif test -f ${with_readline}/include/readline/readline.h; then
+ CONS_INC="-I${with_readline}/include/readline"
+ CONS_LDFLAGS="-L${with_readline}/lib"
+ with_readline="${with_readline}/include/readline"
+ else
+ with_readline="/usr/include/readline"
+ fi
+
+ AC_CHECK_HEADER(${with_readline}/readline.h,
+ [
+ AC_DEFINE(HAVE_READLINE, 1, [Set to enable readline support])
+ CONS_LIBS="-lreadline -lhistory -ltermcap"
+ got_readline="yes"
+ ], [
+ echo " "
+ echo "readline.h not found. readline turned off ..."
+ echo " "
+ ]
+ )
+ ;;
+ esac
],[
- dnl check for standard readline library
- AC_CHECK_HEADER(/usr/include/readline/readline.h,
- [
- AC_DEFINE(HAVE_READLINE, 1, [Set to enable readline support])
- got_readline="yes"
- CONS_INC="-I/usr/include/readline"
- CONS_LIBS="-lreadline -ltermcap"
- ], [
- dnl Did not find standard library, so try Bacula's default
- AC_CHECK_HEADER(${TOP_DIR}/depkgs/readline/readline.h,
- [
- AC_DEFINE(HAVE_READLINE, 1, [Set to enable readline support])
- got_readline="yes"
- CONS_INC="-I${TOP_DIR}/depkgs/readline"
- CONS_LIBS="-lreadline -lhistory -ltermcap"
- CONS_LDFLAGS="-L${TOP_DIR}/depkgs/readline"
- PRTREADLINE_SRC="${TOP_DIR}/depkgs/readline"
- ], [
- echo " "
- echo "readline.h not found. readline turned off ..."
- echo " "
- ]
- )
- ]
- )
+ dnl check for standard readline library
+ AC_CHECK_HEADER(/usr/include/readline/readline.h,
+ [
+ AC_DEFINE(HAVE_READLINE, 1, [Set to enable readline support])
+ got_readline="yes"
+ CONS_INC="-I/usr/include/readline"
+ CONS_LIBS="-lreadline -ltermcap"
+ ], [
+ dnl Did not find standard library, so try Bacula's default
+ AC_CHECK_HEADER(${TOP_DIR}/depkgs/readline/readline.h,
+ [
+ AC_DEFINE(HAVE_READLINE, 1, [Set to enable readline support])
+ got_readline="yes"
+ CONS_INC="-I${TOP_DIR}/depkgs/readline"
+ CONS_LIBS="-lreadline -lhistory -ltermcap"
+ CONS_LDFLAGS="-L${TOP_DIR}/depkgs/readline"
+ PRTREADLINE_SRC="${TOP_DIR}/depkgs/readline"
+ ], [
+ echo " "
+ echo "readline.h not found. readline turned off ..."
+ echo " "
+ ]
+ )
+ ]
+ )
]
)
fi
PYTHON_INCDIR=
PYTHON_LIBS=
if test "$withval" != "no"; then
- if test "$withval" = "yes"; then
- for python_root in /usr /usr/local /usr/sfw; do
- for ver in python2.2 python2.3 python2.4 python2.5; do
- if test -f $python_root/include/${ver}/Python.h; then
- PYTHON_INCDIR=-I$python_root/include/${ver}
- if test -d $python_root/lib64/${ver}/config; then
- PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
- else
- PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
- fi
- break
- fi
- done
- done
-
- if test x$PYTHON_INCDIR = x; then
- if test -f $prefix/include/Python.h; then
- PYTHON_INCDIR=-I$prefix/include
- if test -d $prefix/lib64/config; then
- PYTHON_LIBS="-L$prefix/lib64/config -lpython"
- else
- PYTHON_LIBS="-L$prefix/lib/config -lpython"
- fi
- else
- AC_MSG_RESULT(no)
- AC_MSG_ERROR(Unable to find Python.h in standard locations)
- fi
- fi
- else
- if test -f $withval/Python.h; then
- PYTHON_INCDIR=-I$withval
- PYTHON_LIBS="-L$withval/config -lpython"
- elif test -f $withval/include/Python.h; then
- PYTHON_INCDIR=-I$withval/include
- if test -d $withval/lib64/config; then
- PYTHON_LIBS="-L$withval/lib64/config -lpython"
- else
- PYTHON_LIBS="-L$withval/lib/config -lpython"
- fi
- elif test -f $withval/include/python/Python.h; then
- PYTHON_INCDIR=-I$withval/include/python
- if test -d $withval/lib64/python/config; then
- PYTHON_LIBS="-L$withval/lib64/python/config -lpython"
- else
- PYTHON_LIBS="-L$withval/lib/python/config -lpython"
- fi
- else
- AC_MSG_RESULT(no)
- AC_MSG_ERROR(Invalid Python directory $withval - unable to find Python.h under $withval)
- fi
- fi
-
- AC_DEFINE([HAVE_PYTHON], 1)
- AC_MSG_RESULT(yes)
- support_python=yes
- AC_MSG_NOTICE(checking for more Python libs)
- saved_LIBS="$LIBS"; LIBS=
- AC_SEARCH_LIBS(shm_open, [rt])
- AC_CHECK_LIB(util, openpty)
- PYTHON_LIBS="$PYTHON_LIBS $LIBS"
- LIBS="$saved_LIBS"
+ if test "$withval" = "yes"; then
+ for python_root in /usr /usr/local /usr/sfw; do
+ for ver in python2.2 python2.3 python2.4 python2.5; do
+ if test -f $python_root/include/${ver}/Python.h; then
+ PYTHON_INCDIR=-I$python_root/include/${ver}
+ if test -d $python_root/lib64/${ver}/config; then
+ PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
+ else
+ PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
+ fi
+ break
+ fi
+ done
+ done
+
+ if test x$PYTHON_INCDIR = x; then
+ if test -f $prefix/include/Python.h; then
+ PYTHON_INCDIR=-I$prefix/include
+ if test -d $prefix/lib64/config; then
+ PYTHON_LIBS="-L$prefix/lib64/config -lpython"
+ else
+ PYTHON_LIBS="-L$prefix/lib/config -lpython"
+ fi
+ else
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR(Unable to find Python.h in standard locations)
+ fi
+ fi
+ else
+ if test -f $withval/Python.h; then
+ PYTHON_INCDIR=-I$withval
+ PYTHON_LIBS="-L$withval/config -lpython"
+ elif test -f $withval/include/Python.h; then
+ PYTHON_INCDIR=-I$withval/include
+ if test -d $withval/lib64/config; then
+ PYTHON_LIBS="-L$withval/lib64/config -lpython"
+ else
+ PYTHON_LIBS="-L$withval/lib/config -lpython"
+ fi
+ elif test -f $withval/include/python/Python.h; then
+ PYTHON_INCDIR=-I$withval/include/python
+ if test -d $withval/lib64/python/config; then
+ PYTHON_LIBS="-L$withval/lib64/python/config -lpython"
+ else
+ PYTHON_LIBS="-L$withval/lib/python/config -lpython"
+ fi
+ else
+ AC_MSG_RESULT(no)
+ AC_MSG_ERROR(Invalid Python directory $withval - unable to find Python.h under $withval)
+ fi
+ fi
+
+ AC_DEFINE([HAVE_PYTHON], 1)
+ AC_MSG_RESULT(yes)
+ support_python=yes
+ AC_MSG_NOTICE(checking for more Python libs)
+ saved_LIBS="$LIBS"; LIBS=
+ AC_SEARCH_LIBS(shm_open, [rt])
+ AC_CHECK_LIB(util, openpty)
+ PYTHON_LIBS="$PYTHON_LIBS $LIBS"
+ LIBS="$saved_LIBS"
else
- AC_MSG_RESULT(no)
+ AC_MSG_RESULT(no)
fi
],[
AC_MSG_RESULT(no)
AC_HELP_STRING([--with-tcp-wrappers@<:@=DIR@:>@], [enable tcpwrappers support]),
[
if test "x$withval" != "xno" ; then
- saved_LIBS="$LIBS"
- LIBS="$saved_LIBS -lwrap"
- AC_MSG_CHECKING(for libwrap)
- AC_SEARCH_LIBS(nanosleep, [rt])
- AC_TRY_LINK(
- [
- #include <sys/types.h>
- #include <tcpd.h>
- int deny_severity = 0;
- int allow_severity = 0;
- struct request_info *req;
- ], [
- hosts_access(req);
- ], [
- AC_MSG_RESULT(yes)
- AC_DEFINE(HAVE_LIBWRAP, 1, [Set to enable libwraper support])
- TCPW_MSG="yes"
- LIBS="$saved_LIBS"
- WRAPLIBS="-lwrap"
- ], [
- LIBS="$saved_LIBS -lwrap -lnsl"
- WRAPLIBS="$saved_LIBS -lwrap -lnsl"
- AC_TRY_LINK(
- [
- #include <sys/types.h>
- #include <tcpd.h>
- int deny_severity = 0;
- int allow_severity = 0;
- struct request_info *req;
- ], [
- hosts_access(req);
- ], [
- AC_MSG_RESULT(yes)
- AC_DEFINE(HAVE_LIBWRAP, 1, [Set to enable libwraper support])
- TCPW_MSG="yes"
- LIBS="$saved_LIBS"
- WRAPLIBS="-lwrap"
- ], [
- AC_MSG_ERROR([*** libwrap missing])
- ]
- )
- ]
- )
+ saved_LIBS="$LIBS"
+ LIBS="$saved_LIBS -lwrap"
+ AC_MSG_CHECKING(for libwrap)
+ AC_SEARCH_LIBS(nanosleep, [rt])
+ AC_TRY_LINK(
+ [
+ #include <sys/types.h>
+ #include <tcpd.h>
+ int deny_severity = 0;
+ int allow_severity = 0;
+ struct request_info *req;
+ ], [
+ hosts_access(req);
+ ], [
+ AC_MSG_RESULT(yes)
+ AC_DEFINE(HAVE_LIBWRAP, 1, [Set to enable libwraper support])
+ TCPW_MSG="yes"
+ LIBS="$saved_LIBS"
+ WRAPLIBS="-lwrap"
+ ], [
+ LIBS="$saved_LIBS -lwrap -lnsl"
+ WRAPLIBS="$saved_LIBS -lwrap -lnsl"
+ AC_TRY_LINK(
+ [
+ #include <sys/types.h>
+ #include <tcpd.h>
+ int deny_severity = 0;
+ int allow_severity = 0;
+ struct request_info *req;
+ ], [
+ hosts_access(req);
+ ], [
+ AC_MSG_RESULT(yes)
+ AC_DEFINE(HAVE_LIBWRAP, 1, [Set to enable libwraper support])
+ TCPW_MSG="yes"
+ LIBS="$saved_LIBS"
+ WRAPLIBS="-lwrap"
+ ], [
+ AC_MSG_ERROR([*** libwrap missing])
+ ]
+ )
+ ]
+ )
fi
]
)
AC_ARG_WITH(openssl,
AC_HELP_STRING([--with-openssl@<:@=DIR@:>@], [Include OpenSSL support. DIR is the OpenSSL base]),
[
- with_openssl_directory=${withval}
+ with_openssl_directory=${withval}
]
)
# Make sure the $with_openssl_directory also makes sense
#
if test -d "$with_openssl_directory/lib" -a -d "$with_openssl_directory/include"; then
- OPENSSL_LIBS="-L$with_openssl_directory/lib $OPENSSL_LIBS"
- OPENSSL_INC="-I$with_openssl_directory/include $OPENSSL_INC"
+ OPENSSL_LIBS="-L$with_openssl_directory/lib $OPENSSL_LIBS"
+ OPENSSL_INC="-I$with_openssl_directory/include $OPENSSL_INC"
fi
fi
AC_TRY_LINK(
[
- #include <openssl/ssl.h>
+ #include <openssl/ssl.h>
], [
- CRYPTO_set_id_callback(NULL);
+ CRYPTO_set_id_callback(NULL);
], [
- support_tls="yes"
- support_crypto="yes"
+ support_tls="yes"
+ support_crypto="yes"
], [
- support_tls="no"
+ support_tls="no"
]
)
AC_TRY_LINK(
[
- #include <openssl/evp.h>
+ #include <openssl/evp.h>
], [
- EVP_sha512();
+ EVP_sha512();
], [
- ac_cv_openssl_sha2="yes"
+ ac_cv_openssl_sha2="yes"
], [
- ac_cv_openssl_sha2="no"
+ ac_cv_openssl_sha2="no"
]
)
dnl openssl library.
AC_TRY_LINK(
[
- #include <openssl/evp.h>
+ #include <openssl/evp.h>
], [
- EVP_aes_192_cbc();
+ EVP_aes_192_cbc();
], [
- ac_cv_openssl_export="no"
+ ac_cv_openssl_export="no"
], [
- ac_cv_openssl_export="yes"
+ ac_cv_openssl_export="yes"
]
)
AC_HELP_STRING([--with-working-dir=PATH], [specify path of Bacula working directory]),
[
if test "x$withval" != "xno" ; then
- working_dir=$withval
+ working_dir=$withval
fi
]
)
AC_HELP_STRING([--with-archivedir=PATH], [specify path of SD archive directory]),
[
if test "x$withval" != "xno" ; then
- archivedir=$withval
+ archivedir=$withval
fi
]
)
AC_HELP_STRING([--with-scriptdir=PATH], [specify path of Bacula scripts directory]),
[
if test "x$withval" != "xno" ; then
- scriptdir=$withval
+ scriptdir=$withval
fi
]
)
AC_HELP_STRING([--with-plugindir=PATH], [specify path of Bacula plugins directory]),
[
if test "x$withval" != "xno" ; then
- plugindir=$withval
+ plugindir=$withval
fi
]
)
AC_HELP_STRING([--with-dump-email=EMAIL], [dump email address]),
[
if test "x$withval" != "xno" ; then
- dump_email=$withval
+ dump_email=$withval
fi
]
)
AC_HELP_STRING([--with-job-email=EMAIL], [job output email address]),
[
if test "x$withval" != "xno" ; then
- job_email=$withval
+ job_email=$withval
fi
]
)
AC_HELP_STRING([--with-smtp-host=HOST], [SMTP mail host address]),
[
if test "x$withval" != "xno" ; then
- smtp_host=$withval
+ smtp_host=$withval
fi
]
)
AC_HELP_STRING([--with-pid-dir=PATH], [specify location of Bacula pid files]),
[
if test "x$withval" != "xno" ; then
- piddir=$withval
+ piddir=$withval
fi
]
)
AC_HELP_STRING([--with-subsys-dir=PATH], [specify location of Bacula subsys file]),
[
if test "x$withval" != "xno" ; then
- subsysdir=$withval
+ subsysdir=$withval
fi
]
)
AC_HELP_STRING([--with-baseport=PORT], [specify base port address for daemons]),
[
if test "x$withval" != "xno" ; then
- baseport=$withval
+ baseport=$withval
fi
]
)
AC_HELP_STRING([--with-dir-password=PASSWORD], [specify Director's password]),
[
if test "x$withval" != "xno" ; then
- dir_password=$withval
+ dir_password=$withval
fi
]
)
AC_HELP_STRING([--with-fd-password=PASSWORD], [specify Client's password]),
[
if test "x$withval" != "xno" ; then
- fd_password=$withval
+ fd_password=$withval
fi
]
)
AC_HELP_STRING([--with-sd-password=PASSWORD], [specify Storage daemon's password]),
[
if test "x$withval" != "xno" ; then
- sd_password=$withval
+ sd_password=$withval
fi
]
)
AC_HELP_STRING([--with-mon-dir-password=PASSWORD], [specify Director's password used by the monitor]),
[
if test "x$withval" != "xno" ; then
- mon_dir_password=$withval
+ mon_dir_password=$withval
fi
]
)
AC_HELP_STRING([--with-mon-fd-password=PASSWORD], [specify Client's password used by the monitor]),
[
if test "x$withval" != "xno" ; then
- mon_fd_password=$withval
+ mon_fd_password=$withval
fi
]
)
AC_HELP_STRING([--with-mon-sd-password=PASSWORD], [specify Storage daemon's password used by the monitor]),
[
if test "x$withval" != "xno" ; then
- mon_sd_password=$withval
+ mon_sd_password=$withval
fi
]
)
AC_HELP_STRING([--with-db-name=DBNAME], [specify database name @<:@default=bacula@:>@]),
[
if test "x$withval" != "x" ; then
- db_name=$withval
+ db_name=$withval
fi
]
)
AC_HELP_STRING([--with-db-user=UNAME], [specify database user @<:@default=bacula@:>@]),
[
if test "x$withval" != "x" ; then
- db_user=$withval
+ db_user=$withval
fi
]
)
AC_HELP_STRING([--with-db-password=PWD], [specify database password @<:@default=*none*@:>@]),
[
if test "x$withval" != "x" ; then
- db_password=$withval
+ db_password=$withval
fi
]
)
AC_HELP_STRING([--with-db-port=DBPORT], [specify a database port @<:@default=null@:>@]),
[
if test "x$withval" != "x" ; then
- db_port=$withval
+ db_port=$withval
fi
]
)
AC_HELP_STRING([--with-dir-user=USER], [specify user for Director daemon]),
[
if test "x$withval" != "x" ; then
- dir_user=$withval
+ dir_user=$withval
fi
]
)
AC_HELP_STRING([--with-dir-group=GROUP], [specify group for Director daemon]),
[
if test "x$withval" != "x" ; then
- dir_group=$withval
+ dir_group=$withval
fi
]
)
AC_HELP_STRING([--with-sd-user=USER], [specify user for Storage daemon]),
[
if test "x$withval" != "x" ; then
- sd_user=$withval
+ sd_user=$withval
fi
]
)
AC_HELP_STRING([--with-sd-group=GROUP], [specify group for Storage daemon]),
[
if test "x$withval" != "x" ; then
- sd_group=$withval
+ sd_group=$withval
fi
]
)
AC_HELP_STRING([--with-fd-user=USER], [specify user for File daemon]),
[
if test "x$withval" != "x" ; then
- fd_user=$withval
+ fd_user=$withval
fi
]
)
AC_HELP_STRING([--with-fd-group=GROUP], [specify group for File daemon]),
[
if test "x$withval" != "x" ; then
- fd_group=$withval
+ fd_group=$withval
fi
]
)
AC_HELP_STRING([--with-sbin-perm=MODE], [specify permissions for sbin binaries @<:@default=0754@:>@]),
[
if test "x$withval" != "x" ; then
- SBINPERM=$withval
+ SBINPERM=$withval
fi
]
)
AC_ARG_ENABLE(batch-insert,
AC_HELP_STRING([--enable-batch-insert], [enable the DB batch insert code @<:@default=no@:>@]),
[
- if test x$enableval = xno; then
- support_batch_insert=no
- else
- support_batch_insert=yes
- fi
+ if test x$enableval = xno; then
+ support_batch_insert=no
+ else
+ support_batch_insert=yes
+ fi
]
)
fi
if test $DB_PROG = mysql; then
A=`test -f $SQL_LIB && nm $DB_PROG_LIB | grep pthread_mutex_lock`
- pkg=$?
+ pkg=$?
fi
if test $DB_PROG = sqlite3; then
if test $pkg = 0; then
AC_ARG_ENABLE(batch-insert,
- AC_HELP_STRING([--enable-batch-insert], [enable the DB batch insert code @<:@default=no@:>@]),
- [
- if test x$enableval = xno; then
- support_batch_insert=no
- else
- support_batch_insert=yes
- fi
- ]
+ AC_HELP_STRING([--enable-batch-insert], [enable the DB batch insert code @<:@default=no@:>@]),
+ [
+ if test x$enableval = xno; then
+ support_batch_insert=no
+ else
+ support_batch_insert=yes
+ fi
+ ]
)
fi
else
AC_CACHE_CHECK(for utime.h, ba_cv_header_utime_h,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- #include <utime.h>
- ], [
- struct utimbuf foo
- ], [
- ba_cv_header_utime_h=yes
- ], [
- ba_cv_header_utime_h=no
- ]
+ [
+ #include <sys/types.h>
+ #include <utime.h>
+ ], [
+ struct utimbuf foo
+ ], [
+ ba_cv_header_utime_h=yes
+ ], [
+ ba_cv_header_utime_h=no
+ ]
)
]
)
AC_CACHE_CHECK(for socklen_t, ba_cv_header_socklen_t,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- #include <sys/socket.h>
- ], [
- socklen_t x
- ], [
- ba_cv_header_socklen_t=yes
- ], [
- ba_cv_header_socklen_t=no
- ]
+ [
+ #include <sys/types.h>
+ #include <sys/socket.h>
+ ], [
+ socklen_t x
+ ], [
+ ba_cv_header_socklen_t=yes
+ ], [
+ ba_cv_header_socklen_t=no
+ ]
)
]
)
AC_CACHE_CHECK([for bigendian], ba_cv_bigendian,
[
AC_TRY_RUN(
- [
- main(){long a=1L; char *p=(char *)&a; exit(*p);}
- ], [
- ba_cv_bigendian=yes
- ], [
- ba_cv_bigendian=no
- ], [
- ba_cv_bigendian=no
- ]
+ [
+ main(){long a=1L; char *p=(char *)&a; exit(*p);}
+ ], [
+ ba_cv_bigendian=yes
+ ], [
+ ba_cv_bigendian=no
+ ], [
+ ba_cv_bigendian=no
+ ]
)
]
)
AC_CACHE_CHECK(for typeof, ba_cv_have_typeof,
[
AC_TRY_RUN(
- [
- main(){char *a = 0; a = (typeof a)a;}
- ], [
- ba_cv_have_typeof=yes
- ], [
- ba_cv_have_typeof=no
- ], [
- ba_cv_have_typeof=no
- ]
+ [
+ main(){char *a = 0; a = (typeof a)a;}
+ ], [
+ ba_cv_have_typeof=yes
+ ], [
+ ba_cv_have_typeof=no
+ ], [
+ ba_cv_have_typeof=no
+ ]
)
]
)
if test $fstype = no; then
AC_TRY_CPP(
[
- #include <sys/statfs.h>
- #include <sys/fstyp.h>
+ #include <sys/statfs.h>
+ #include <sys/fstyp.h>
],
AC_DEFINE(FSTYPE_USG_STATFS) fstype=SVR3
)
if test $fstype = no; then
AC_TRY_CPP(
[
- #include <sys/statfs.h>
- #include <sys/vmount.h>
+ #include <sys/statfs.h>
+ #include <sys/vmount.h>
],
AC_DEFINE(FSTYPE_AIX_STATFS) fstype=AIX
)
if test $fstype = no; then
AC_TRY_CPP(
[
- #include <mntent.h>
+ #include <mntent.h>
],
AC_DEFINE(FSTYPE_MNTENT) fstype=4.3BSD
)
if test $fstype = no; then
AC_TRY_CPP(
[
- #include <sys/mount.h>
- #include <sys/fs_types.h>
+ #include <sys/mount.h>
+ #include <sys/fs_types.h>
],
AC_DEFINE(FSTYPE_GETMNT) fstype=Ultrix
)
AC_CACHE_CHECK([for u_int type], ac_cv_have_u_int,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- ], [
- u_int a; a = 1;
- ], [
- ac_cv_have_u_int="yes"
- ], [
- ac_cv_have_u_int="no"
- ]
+ [
+ #include <sys/types.h>
+ ], [
+ u_int a; a = 1;
+ ], [
+ ac_cv_have_u_int="yes"
+ ], [
+ ac_cv_have_u_int="no"
+ ]
)
]
)
AC_CACHE_CHECK([for intmax_t type], ac_cv_have_intmax_t,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- ], [
- intmax_t a; a = 1;
- ], [
- ac_cv_have_intmax_t="yes"
- ], [
- AC_TRY_COMPILE(
- [
- #include <stdint.h>
- ], [
- intmax_t a; a = 1;
- ], [
- ac_cv_have_intmax_t="yes"
- ], [
- ac_cv_have_intmax_t="no"
- ]
- )
- ]
+ [
+ #include <sys/types.h>
+ ], [
+ intmax_t a; a = 1;
+ ], [
+ ac_cv_have_intmax_t="yes"
+ ], [
+ AC_TRY_COMPILE(
+ [
+ #include <stdint.h>
+ ], [
+ intmax_t a; a = 1;
+ ], [
+ ac_cv_have_intmax_t="yes"
+ ], [
+ ac_cv_have_intmax_t="no"
+ ]
+ )
+ ]
)
]
)
AC_CACHE_CHECK([for u_intmax_t type], ac_cv_have_u_intmax_t,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- ], [
- u_intmax_t a; a = 1;
- ], [
- ac_cv_have_u_intmax_t="yes"
- ], [
- AC_TRY_COMPILE(
- [
- #include <stdint.h>
- ], [
- u_intmax_t a; a = 1;
- ], [
- ac_cv_have_u_intmax_t="yes"
- ], [
- ac_cv_have_u_intmax_t="no"
- ]
- )
- ]
+ [
+ #include <sys/types.h>
+ ], [
+ u_intmax_t a; a = 1;
+ ], [
+ ac_cv_have_u_intmax_t="yes"
+ ], [
+ AC_TRY_COMPILE(
+ [
+ #include <stdint.h>
+ ], [
+ u_intmax_t a; a = 1;
+ ], [
+ ac_cv_have_u_intmax_t="yes"
+ ], [
+ ac_cv_have_u_intmax_t="no"
+ ]
+ )
+ ]
)
]
)
AC_CACHE_CHECK([for intXX_t types], ac_cv_have_intxx_t,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- ], [
- int8_t a; int16_t b; int32_t c; a = b = c = 1;
- ], [
- ac_cv_have_intxx_t="yes"
- ], [
- ac_cv_have_intxx_t="no"
- ]
+ [
+ #include <sys/types.h>
+ ], [
+ int8_t a; int16_t b; int32_t c; a = b = c = 1;
+ ], [
+ ac_cv_have_intxx_t="yes"
+ ], [
+ ac_cv_have_intxx_t="no"
+ ]
)
]
)
AC_CACHE_CHECK([for int64_t type], ac_cv_have_int64_t,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- ], [
- int64_t a; a = 1;
- ], [
- ac_cv_have_int64_t="yes"
- ], [
- ac_cv_have_int64_t="no"
- ]
+ [
+ #include <sys/types.h>
+ ], [
+ int64_t a; a = 1;
+ ], [
+ ac_cv_have_int64_t="yes"
+ ], [
+ ac_cv_have_int64_t="no"
+ ]
)
]
)
AC_CACHE_CHECK([for u_intXX_t types], ac_cv_have_u_intxx_t,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- ], [
- u_int8_t a; u_int16_t b; u_int32_t c; a = b = c = 1;
- ], [
- ac_cv_have_u_intxx_t="yes"
- ], [
- ac_cv_have_u_intxx_t="no"
- ]
+ [
+ #include <sys/types.h>
+ ], [
+ u_int8_t a; u_int16_t b; u_int32_t c; a = b = c = 1;
+ ], [
+ ac_cv_have_u_intxx_t="yes"
+ ], [
+ ac_cv_have_u_intxx_t="no"
+ ]
)
]
)
AC_CACHE_CHECK([for u_int64_t types], ac_cv_have_u_int64_t,
[
AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- ], [
- u_int64_t a; a = 1;
- ], [
- ac_cv_have_u_int64_t="yes"
- ], [
- ac_cv_have_u_int64_t="no"
- ]
+ [
+ #include <sys/types.h>
+ ], [
+ u_int64_t a; a = 1;
+ ], [
+ ac_cv_have_u_int64_t="yes"
+ ], [
+ ac_cv_have_u_int64_t="no"
+ ]
)
]
)
AC_MSG_CHECKING([for intXX_t and u_intXX_t types in sys/bitypes.h])
AC_TRY_COMPILE(
[
- #include <sys/bitypes.h>
+ #include <sys/bitypes.h>
], [
- int8_t a; int16_t b; int32_t c;
- u_int8_t e; u_int16_t f; u_int32_t g;
- a = b = c = e = f = g = 1;
+ int8_t a; int16_t b; int32_t c;
+ u_int8_t e; u_int16_t f; u_int32_t g;
+ a = b = c = e = f = g = 1;
], [
- AC_DEFINE(HAVE_U_INTXX_T)
- AC_DEFINE(HAVE_INTXX_T)
- AC_DEFINE(HAVE_SYS_BITYPES_H)
- AC_MSG_RESULT(yes)
+ AC_DEFINE(HAVE_U_INTXX_T)
+ AC_DEFINE(HAVE_INTXX_T)
+ AC_DEFINE(HAVE_SYS_BITYPES_H)
+ AC_MSG_RESULT(yes)
], [
- AC_MSG_RESULT(no)
+ AC_MSG_RESULT(no)
]
)
fi
if test -z "$have_u_intxx_t" ; then
AC_CACHE_CHECK([for uintXX_t types], ac_cv_have_uintxx_t,
[
- AC_TRY_COMPILE(
- [
- #include <sys/types.h>
- ], [
- uint8_t a; uint16_t b;
- uint32_t c; a = b = c = 1;
- ], [
- ac_cv_have_uintxx_t="yes"
- ], [
- ac_cv_have_uintxx_t="no"
- ]
- )
+ AC_TRY_COMPILE(
+ [
+ #include <sys/types.h>
+ ], [
+ uint8_t a; uint16_t b;
+ uint32_t c; a = b = c = 1;
+ ], [
+ ac_cv_have_uintxx_t="yes"
+ ], [
+ ac_cv_have_uintxx_t="no"
+ ]
+ )
]
)
if test "x$ac_cv_have_uintxx_t" = "xyes" ; then
AC_MSG_CHECKING([for int64_t and u_int64_t types in sys/bitypes.h])
AC_TRY_COMPILE(
[
- #include <sys/bitypes.h>
+ #include <sys/bitypes.h>
], [
- int64_t a; u_int64_t b;
- a = b = 1;
+ int64_t a; u_int64_t b;
+ a = b = 1;
], [
- AC_DEFINE(HAVE_U_INT64_T)
- AC_DEFINE(HAVE_INT64_T)
- AC_MSG_RESULT(yes)
+ AC_DEFINE(HAVE_U_INT64_T)
+ AC_DEFINE(HAVE_INT64_T)
+ AC_MSG_RESULT(yes)
], [
- AC_MSG_RESULT(no)
+ AC_MSG_RESULT(no)
]
)
fi
AC_MSG_CHECKING([for uintXX_t types in sys/bitypes.h])
AC_TRY_COMPILE(
[
- #include <sys/bitypes.h>
+ #include <sys/bitypes.h>
], [
- uint8_t a; uint16_t b;
- uint32_t c; a = b = c = 1;
+ uint8_t a; uint16_t b;
+ uint32_t c; a = b = c = 1;
], [
- AC_DEFINE(HAVE_UINTXX_T)
- AC_MSG_RESULT(yes)
+ AC_DEFINE(HAVE_UINTXX_T)
+ AC_MSG_RESULT(yes)
], [
- AC_MSG_RESULT(no)
+ AC_MSG_RESULT(no)
]
)
fi
AC_CACHE_CHECK(for va_copy, ba_cv_va_copy,
[
AC_TRY_LINK(
- [
- #include <stdarg.h>
- void use_va_copy(va_list args){va_list args2; va_copy(args2,args); va_end(args2);}
- void call_use_va_copy(int junk,...){va_list args; va_start(args,junk); use_va_copy(args); va_end(args);}
- ], [
- call_use_va_copy(1,2,3)
- ], [
- ba_cv_va_copy=yes,
- ], [
- ba_cv_va_copy=no
- ]
+ [
+ #include <stdarg.h>
+ void use_va_copy(va_list args){va_list args2; va_copy(args2,args); va_end(args2);}
+ void call_use_va_copy(int junk,...){va_list args; va_start(args,junk); use_va_copy(args); va_end(args);}
+ ], [
+ call_use_va_copy(1,2,3)
+ ], [
+ ba_cv_va_copy=yes,
+ ], [
+ ba_cv_va_copy=no
+ ]
)
]
)
AC_CACHE_CHECK(for struct sockaddr has a sa_len field, ac_cv_struct_sockaddr_sa_len,
[
AC_TRY_COMPILE(
- [
- #include <sys/socket.h>
- ], [
- struct sockaddr s; s.sa_len;
- ], [
- ac_cv_struct_sockaddr_sa_len=yes
- ], [ac_cv_struct_sockaddr_sa_len=no
- ]
+ [
+ #include <sys/socket.h>
+ ], [
+ struct sockaddr s; s.sa_len;
+ ], [
+ ac_cv_struct_sockaddr_sa_len=yes
+ ], [ac_cv_struct_sockaddr_sa_len=no
+ ]
)
]
)
AC_FUNC_ALLOCA
AC_FUNC_GETMNTENT
AC_FUNC_CLOSEDIR_VOID
-AC_FUNC_SETPGRP dnl check for BSD setpgrp.
+AC_FUNC_SETPGRP dnl check for BSD setpgrp.
# AC_FUNC_FNMATCH dnl use local version
AC_CHECK_LIB(intl, gettext, [LIBS="$LIBS -lintl"])
AC_CHECK_FUNC(acl_get_file, [have_acl=yes],
[
AC_CHECK_LIB(acl, acl_get_file,
- [
- have_acl=yes;
- FDLIBS="-lacl $FDLIBS"
- ], [
- AC_CHECK_LIB(sec, acltotext,
- [
- have_acl=yes;
- FDLIBS="-lsec $FDLIBS"
- ]
- )
- ]
+ [
+ have_acl=yes;
+ FDLIBS="-lacl $FDLIBS"
+ ], [
+ AC_CHECK_LIB(sec, acltotext,
+ [
+ have_acl=yes;
+ FDLIBS="-lsec $FDLIBS"
+ ]
+ )
+ ]
)
]
)
AC_CHECK_LIB(pthread, pthread_create, PTHREAD_LIB="-lpthread",
[
AC_CHECK_LIB(pthreads, pthread_create, PTHREAD_LIB="-lpthreads",
- [
- AC_CHECK_LIB(c_r, pthread_create, PTHREAD_LIB="-lc_r",
- [
- AC_CHECK_FUNC(pthread_create)
- ]
- )
- ]
+ [
+ AC_CHECK_LIB(c_r, pthread_create, PTHREAD_LIB="-lc_r",
+ [
+ AC_CHECK_FUNC(pthread_create)
+ ]
+ )
+ ]
)
]
)
PFILES="${PFILES} \
platforms/aix/Makefile"
TAPEDRIVE="/dev/rmt0.1"
- ;;
+ ;;
alpha)
DISTVER=`uname -r`
PTHREAD_LIB="-lpthread -lexc"
if test -f /etc/lsb-release ; then
. /etc/lsb-release
if test "x$DISTRIB_ID" != "x" ; then
- DISTNAME=$DISTRIB_ID
+ DISTNAME=$DISTRIB_ID
fi
if test "x$DISTRIB_RELEASE" != "x" ; then
- DISTVER=$DISTRIB_RELEASE
+ DISTVER=$DISTRIB_RELEASE
fi
fi
if test "$DISTNAME" = "Ubuntu" ; then
PSCMD="ps -e -o pid,command"
if test "$DISTNAME" = "ubuntu" ; then
PFILES="${PFILES} \
- platforms/ubuntu/Makefile \
- platforms/ubuntu/bacula-fd \
- platforms/ubuntu/bacula-sd \
- platforms/ubuntu/bacula-dir"
+ platforms/ubuntu/Makefile \
+ platforms/ubuntu/bacula-fd \
+ platforms/ubuntu/bacula-sd \
+ platforms/ubuntu/bacula-dir"
else
PFILES="${PFILES} \
- platforms/debian/Makefile \
- platforms/debian/bacula-fd \
- platforms/debian/bacula-sd \
- platforms/debian/bacula-dir"
+ platforms/debian/Makefile \
+ platforms/debian/bacula-fd \
+ platforms/debian/bacula-sd \
+ platforms/debian/bacula-dir"
fi
;;
freebsd)
f=/etc/redhat-release
fi
if test `cat $f | grep release |\
- cut -f 3 -d ' '`x = "Enterprise"x ; then
+ cut -f 3 -d ' '`x = "Enterprise"x ; then
DISTVER="Enterprise "`cat $f | grep release |\
- cut -f 6 -d ' '`
+ cut -f 6 -d ' '`
else
DISTVER=`cat /etc/redhat-release | grep release |\
- cut -f 5 -d ' '`
+ cut -f 5 -d ' '`
fi
TAPEDRIVE="/dev/nst0"
PSCMD="ps -e -o pid,command"
fi
AC_OUTPUT([autoconf/Make.common \
- Makefile \
- manpages/Makefile \
- scripts/startmysql \
- scripts/stopmysql \
- scripts/btraceback \
- scripts/startit \
- scripts/stopit \
- scripts/bconsole \
- scripts/gconsole \
- scripts/bacula \
- scripts/bacula-ctl-dir \
- scripts/bacula-ctl-fd \
- scripts/bacula-ctl-sd \
- scripts/devel_bacula \
- scripts/Makefile \
- scripts/logrotate \
- scripts/bacula.desktop.gnome1 \
- scripts/bacula.desktop.gnome2 \
- scripts/bacula.desktop.gnome1.consolehelper \
- scripts/bacula.desktop.gnome2.consolehelper \
- scripts/bacula.desktop.gnome1.xsu \
- scripts/bacula.desktop.gnome2.xsu \
- scripts/bgnome-console.console_apps \
- scripts/mtx-changer \
- scripts/disk-changer \
- scripts/dvd-handler \
- scripts/dvd-simulator \
- scripts/bacula-tray-monitor.desktop \
- scripts/logwatch/Makefile \
- scripts/logwatch/logfile.bacula.conf \
- scripts/wxconsole.console_apps \
- scripts/wxconsole.desktop.consolehelper \
- scripts/wxconsole.desktop.xsu \
- scripts/bat.desktop \
- scripts/bat.desktop.xsu \
- scripts/bat.desktop.consolehelper \
- scripts/bat.console_apps \
- src/Makefile \
- src/host.h \
- src/console/Makefile \
- src/console/bconsole.conf \
- src/gnome2-console/Makefile \
- src/gnome2-console/bgnome-console.conf \
- src/qt-console/bat.conf \
- src/qt-console/bat.pro \
- src/qt-console/bat.pro.mingw32 \
- src/qt-console/install_conf_file \
- src/wx-console/Makefile \
- src/wx-console/bwx-console.conf \
- src/tray-monitor/Makefile \
- src/tray-monitor/tray-monitor.conf \
- src/dird/Makefile \
- src/dird/bacula-dir.conf \
- src/lib/Makefile \
- src/stored/Makefile \
- src/stored/bacula-sd.conf \
- src/filed/Makefile \
- src/filed/bacula-fd.conf \
- src/cats/Makefile \
- src/cats/make_catalog_backup \
- src/cats/delete_catalog_backup \
- src/cats/create_postgresql_database \
- src/cats/update_postgresql_tables \
- src/cats/make_postgresql_tables \
- src/cats/grant_postgresql_privileges \
- src/cats/drop_postgresql_tables \
- src/cats/drop_postgresql_database \
- src/cats/create_mysql_database \
- src/cats/update_mysql_tables \
- src/cats/make_mysql_tables \
- src/cats/grant_mysql_privileges \
- src/cats/drop_mysql_tables \
- src/cats/drop_mysql_database \
- src/cats/create_sqlite_database \
- src/cats/update_sqlite_tables \
- src/cats/make_sqlite_tables \
- src/cats/grant_sqlite_privileges \
- src/cats/drop_sqlite_tables \
- src/cats/drop_sqlite_database \
- src/cats/create_sqlite3_database \
- src/cats/update_sqlite3_tables \
- src/cats/make_sqlite3_tables \
- src/cats/grant_sqlite3_privileges \
- src/cats/drop_sqlite3_tables \
- src/cats/drop_sqlite3_database \
- src/cats/sqlite \
- src/cats/mysql \
- src/cats/create_bdb_database \
- src/cats/update_bdb_tables \
- src/cats/make_bdb_tables \
- src/cats/grant_bdb_privileges \
- src/cats/drop_bdb_tables \
- src/cats/drop_bdb_database \
- src/cats/create_bacula_database \
- src/cats/update_bacula_tables \
- src/cats/grant_bacula_privileges \
- src/cats/make_bacula_tables \
- src/cats/drop_bacula_tables \
- src/cats/drop_bacula_database \
- src/findlib/Makefile \
- src/tools/Makefile \
- src/plugins/fd/Makefile \
- po/Makefile.in \
- updatedb/update_mysql_tables_10_to_11 \
- updatedb/update_sqlite3_tables_10_to_11 \
- updatedb/update_postgresql_tables_10_to_11 \
- updatedb/update_sqlite_tables_10_to_11 \
- $PFILES ],
+ Makefile \
+ manpages/Makefile \
+ scripts/startmysql \
+ scripts/stopmysql \
+ scripts/btraceback \
+ scripts/startit \
+ scripts/stopit \
+ scripts/bconsole \
+ scripts/gconsole \
+ scripts/bacula \
+ scripts/bacula-ctl-dir \
+ scripts/bacula-ctl-fd \
+ scripts/bacula-ctl-sd \
+ scripts/devel_bacula \
+ scripts/Makefile \
+ scripts/logrotate \
+ scripts/bacula.desktop.gnome1 \
+ scripts/bacula.desktop.gnome2 \
+ scripts/bacula.desktop.gnome1.consolehelper \
+ scripts/bacula.desktop.gnome2.consolehelper \
+ scripts/bacula.desktop.gnome1.xsu \
+ scripts/bacula.desktop.gnome2.xsu \
+ scripts/bgnome-console.console_apps \
+ scripts/mtx-changer \
+ scripts/disk-changer \
+ scripts/dvd-handler \
+ scripts/dvd-simulator \
+ scripts/bacula-tray-monitor.desktop \
+ scripts/logwatch/Makefile \
+ scripts/logwatch/logfile.bacula.conf \
+ scripts/wxconsole.console_apps \
+ scripts/wxconsole.desktop.consolehelper \
+ scripts/wxconsole.desktop.xsu \
+ scripts/bat.desktop \
+ scripts/bat.desktop.xsu \
+ scripts/bat.desktop.consolehelper \
+ scripts/bat.console_apps \
+ src/Makefile \
+ src/host.h \
+ src/console/Makefile \
+ src/console/bconsole.conf \
+ src/gnome2-console/Makefile \
+ src/gnome2-console/bgnome-console.conf \
+ src/qt-console/bat.conf \
+ src/qt-console/bat.pro \
+ src/qt-console/bat.pro.mingw32 \
+ src/qt-console/install_conf_file \
+ src/wx-console/Makefile \
+ src/wx-console/bwx-console.conf \
+ src/tray-monitor/Makefile \
+ src/tray-monitor/tray-monitor.conf \
+ src/dird/Makefile \
+ src/dird/bacula-dir.conf \
+ src/lib/Makefile \
+ src/stored/Makefile \
+ src/stored/bacula-sd.conf \
+ src/filed/Makefile \
+ src/filed/bacula-fd.conf \
+ src/cats/Makefile \
+ src/cats/make_catalog_backup \
+ src/cats/delete_catalog_backup \
+ src/cats/create_postgresql_database \
+ src/cats/update_postgresql_tables \
+ src/cats/make_postgresql_tables \
+ src/cats/grant_postgresql_privileges \
+ src/cats/drop_postgresql_tables \
+ src/cats/drop_postgresql_database \
+ src/cats/create_mysql_database \
+ src/cats/update_mysql_tables \
+ src/cats/make_mysql_tables \
+ src/cats/grant_mysql_privileges \
+ src/cats/drop_mysql_tables \
+ src/cats/drop_mysql_database \
+ src/cats/create_sqlite_database \
+ src/cats/update_sqlite_tables \
+ src/cats/make_sqlite_tables \
+ src/cats/grant_sqlite_privileges \
+ src/cats/drop_sqlite_tables \
+ src/cats/drop_sqlite_database \
+ src/cats/create_sqlite3_database \
+ src/cats/update_sqlite3_tables \
+ src/cats/make_sqlite3_tables \
+ src/cats/grant_sqlite3_privileges \
+ src/cats/drop_sqlite3_tables \
+ src/cats/drop_sqlite3_database \
+ src/cats/sqlite \
+ src/cats/mysql \
+ src/cats/create_bdb_database \
+ src/cats/update_bdb_tables \
+ src/cats/make_bdb_tables \
+ src/cats/grant_bdb_privileges \
+ src/cats/drop_bdb_tables \
+ src/cats/drop_bdb_database \
+ src/cats/create_bacula_database \
+ src/cats/update_bacula_tables \
+ src/cats/grant_bacula_privileges \
+ src/cats/make_bacula_tables \
+ src/cats/drop_bacula_tables \
+ src/cats/drop_bacula_database \
+ src/findlib/Makefile \
+ src/tools/Makefile \
+ src/plugins/fd/Makefile \
+ po/Makefile.in \
+ updatedb/update_mysql_tables_10_to_11 \
+ updatedb/update_sqlite3_tables_10_to_11 \
+ updatedb/update_postgresql_tables_10_to_11 \
+ updatedb/update_sqlite_tables_10_to_11 \
+ $PFILES ],
[ ]
)
c=updatedb
chmod 755 $c/update_mysql_tables_10_to_11 $c/update_sqlite3_tables_10_to_11
-chmod 755 $c/update_postgresql_tables_10_to_11 $c/update_sqlite_tables_10_to_11
+chmod 755 $c/update_postgresql_tables_10_to_11 $c/update_sqlite_tables_10_to_11
c=src/cats
chmod 755 $c/grant_sqlite_privileges $c/drop_sqlite_tables $c/drop_sqlite_database
chmod 755 $c/create_sqlite3_database $c/update_sqlite3_tables $c/make_sqlite3_tables
-chmod 755 $c/grant_sqlite3_privileges $c/drop_sqlite3_tables $c/drop_sqlite3_database
+chmod 755 $c/grant_sqlite3_privileges $c/drop_sqlite3_tables $c/drop_sqlite3_database
chmod 755 $c/create_postgresql_database $c/update_postgresql_tables $c/make_postgresql_tables
chmod 755 $c/grant_postgresql_privileges $c/drop_postgresql_tables $c/drop_postgresql_database
if test X"$GCC" = "Xyes" ; then
dnl
dnl A whole lot of hand springs to get the compiler version.
- dnl This is because gcc changed the output in version 3.0
+ dnl This is because gcc changed the output in version 3.0
dnl
CCVERSION=`${CC} --version | tr '\n' ' ' | cut -f 3 -d ' '`
if test "x${CCVERSION}" = "x" ; then
echo "
Configuration on `date`:
- Host: ${host}${post_host} -- ${DISTNAME} ${DISTVER}
- Bacula version: ${BACULA} ${VERSION} (${DATE})
+ Host: ${host}${post_host} -- ${DISTNAME} ${DISTVER}
+ Bacula version: ${BACULA} ${VERSION} (${DATE})
Source code location: ${srcdir}
- Install binaries: ${sbindir}
- Install libraries: ${libdir}
+ Install binaries: ${sbindir}
+ Install libraries: ${libdir}
Install config files: ${sysconfdir}
- Scripts directory: ${scriptdir}
- Archive directory: ${archivedir}
- Working directory: ${working_dir}
- PID directory: ${piddir}
- Subsys directory: ${subsysdir}
- Man directory: ${mandir}
- Data directory: ${datarootdir}
- C Compiler: ${CC} ${CCVERSION}
- C++ Compiler: ${CXX} ${CXXVERSION}
- Compiler flags: ${WCFLAGS} ${CFLAGS}
- Linker flags: ${WLDFLAGS} ${LDFLAGS}
- Libraries: ${LIBS}
+ Scripts directory: ${scriptdir}
+ Archive directory: ${archivedir}
+ Working directory: ${working_dir}
+ PID directory: ${piddir}
+ Subsys directory: ${subsysdir}
+ Man directory: ${mandir}
+ Data directory: ${datarootdir}
+ C Compiler: ${CC} ${CCVERSION}
+ C++ Compiler: ${CXX} ${CXXVERSION}
+ Compiler flags: ${WCFLAGS} ${CFLAGS}
+ Linker flags: ${WLDFLAGS} ${LDFLAGS}
+ Libraries: ${LIBS}
Statically Linked Tools: ${support_static_tools}
Statically Linked FD: ${support_static_fd}
Statically Linked SD: ${support_static_sd}
Statically Linked DIR: ${support_static_dir}
Statically Linked CONS: ${support_static_cons}
- Database type: ${db_type}
- Database port: ${db_port}
- Database lib: ${DB_LIBS}
- Database name: ${db_name}
- Database user: ${db_user}
+ Database type: ${db_type}
+ Database port: ${db_port}
+ Database lib: ${DB_LIBS}
+ Database name: ${db_name}
+ Database user: ${db_user}
- Job Output Email: ${job_email}
- Traceback Email: ${dump_email}
- SMTP Host Address: ${smtp_host}
+ Job Output Email: ${job_email}
+ Traceback Email: ${dump_email}
+ SMTP Host Address: ${smtp_host}
- Director Port: ${dir_port}
- File daemon Port: ${fd_port}
+ Director Port: ${dir_port}
+ File daemon Port: ${fd_port}
Storage daemon Port: ${sd_port}
- Director User: ${dir_user}
- Director Group: ${dir_group}
+ Director User: ${dir_user}
+ Director Group: ${dir_group}
Storage Daemon User: ${sd_user}
Storage DaemonGroup: ${sd_group}
- File Daemon User: ${fd_user}
- File Daemon Group: ${fd_group}
+ File Daemon User: ${fd_user}
+ File Daemon Group: ${fd_group}
SQL binaries Directory ${SQL_BINDIR}
- Large file support: $largefile_support
+ Large file support: $largefile_support
Bacula conio support: ${got_conio} ${CONS_LIBS}
- readline support: ${got_readline} ${PRTREADLINE_SRC}
+ readline support: ${got_readline} ${PRTREADLINE_SRC}
TCP Wrappers support: ${TCPW_MSG} ${WRAPLIBS}
- TLS support: ${support_tls}
- Encryption support: ${support_crypto}
- ZLIB support: ${have_zlib}
- enable-smartalloc: ${support_smartalloc}
- bat support: ${support_bat} ${QWT_LDFLAGS}
- enable-gnome: ${support_gnome} ${gnome_version}
- enable-bwx-console: ${support_wx_console} ${wx_version}
+ TLS support: ${support_tls}
+ Encryption support: ${support_crypto}
+ ZLIB support: ${have_zlib}
+ enable-smartalloc: ${support_smartalloc}
+ bat support: ${support_bat} ${QWT_LDFLAGS}
+ enable-gnome: ${support_gnome} ${gnome_version}
+ enable-bwx-console: ${support_wx_console} ${wx_version}
enable-tray-monitor: ${support_tray_monitor}
- client-only: ${build_client_only}
- build-dird: ${build_dird}
- build-stored: ${build_stored}
- ACL support: ${have_acl}
- Python support: ${support_python} ${PYTHON_LIBS}
+ client-only: ${build_client_only}
+ build-dird: ${build_dird}
+ build-stored: ${build_stored}
+ ACL support: ${have_acl}
+ Python support: ${support_python} ${PYTHON_LIBS}
Batch insert enabled: ${support_batch_insert}
" > config.out
LIBTOOL_INSTALL_TARGET
LIBTOOL_UNINSTALL_TARGET
LIBTOOL_CLEAN_TARGET
+INCLUDE_INSTALL_TARGET
+INCLUDE_UNINSTALL_TARGET
QMAKE_LIBTOOL
HAVE_SUN_OS_TRUE
HAVE_SUN_OS_FALSE
else
lt_cv_nm_interface="BSD nm"
echo "int some_variable = 0;" > conftest.$ac_ext
- (eval echo "\"\$as_me:5923: $ac_compile\"" >&5)
+ (eval echo "\"\$as_me:5925: $ac_compile\"" >&5)
(eval "$ac_compile" 2>conftest.err)
cat conftest.err >&5
- (eval echo "\"\$as_me:5926: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+ (eval echo "\"\$as_me:5928: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
(eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
cat conftest.err >&5
- (eval echo "\"\$as_me:5929: output\"" >&5)
+ (eval echo "\"\$as_me:5931: output\"" >&5)
cat conftest.out >&5
if $GREP 'External.*some_variable' conftest.out > /dev/null; then
lt_cv_nm_interface="MS dumpbin"
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 7150 "configure"' > conftest.$ac_ext
+ echo '#line 7152 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9365: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9367: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:9369: \$? = $ac_status" >&5
+ echo "$as_me:9371: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9704: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9706: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:9708: \$? = $ac_status" >&5
+ echo "$as_me:9710: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9809: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9811: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9813: \$? = $ac_status" >&5
+ echo "$as_me:9815: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9864: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9866: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9868: \$? = $ac_status" >&5
+ echo "$as_me:9870: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 12620 "configure"
+#line 12622 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 12716 "configure"
+#line 12718 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14728: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14730: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14732: \$? = $ac_status" >&5
+ echo "$as_me:14734: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14827: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14829: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14831: \$? = $ac_status" >&5
+ echo "$as_me:14833: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14879: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14881: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14883: \$? = $ac_status" >&5
+ echo "$as_me:14885: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
if test "${enable_libtool+set}" = set; then
enableval=$enable_libtool;
if test x$enableval = xno; then
- use_libtool=no
+ use_libtool=no
fi
QMAKE_LIBTOOL="# ${BUILD_DIR}/libtool"
fi
+INCLUDE_INSTALL_TARGET=""
+INCLUDE_UNINSTALL_TARGET=""
+
+
+
if test "${enable_gnome+set}" = set; then
enableval=$enable_gnome;
if test x$enableval = xyes; then
- support_gnome=yes
+ support_gnome=yes
fi
#define HAVE_BAT 1
_ACEOF
- support_bat=yes
+ support_bat=yes
fi
# Check whether --with-qwt was given.
if test "${with_qwt+set}" = set; then
withval=$with_qwt;
- case "$with_qwt" in
- no)
- no_qwt=yes
- ;;
- yes|*)
- if test -f ${with_qwt}/include/qwt.h; then
- QWT_INC="${with_qwt}/include"
- QWT_LDFLAGS="-L${with_qwt}/lib"
- QWT_LIB="-lqwt"
- QWT="qwt"
- fi
- ;;
- esac
+ case "$with_qwt" in
+ no)
+ no_qwt=yes
+ ;;
+ yes|*)
+ if test -f ${with_qwt}/include/qwt.h; then
+ QWT_INC="${with_qwt}/include"
+ QWT_LDFLAGS="-L${with_qwt}/lib"
+ QWT_LIB="-lqwt"
+ QWT="qwt"
+ fi
+ ;;
+ esac
fi
if test $no_qwt = no; then
if test x$QWT_INC = x; then
- for root in /usr /usr/local; do
- for ver in qwt qwt5 qwt-qt4; do
- if test -f ${root}/include/${ver}/qwt.h; then
- QWT_INC="${root}/include/${ver}"
- if test -d ${root}/lib64/; then
- QWT_LDFLAGS="-L${root}/lib64"
- elif test -d ${root}/lib/64/; then
- QWT_LDFLAGS="-L${root}/64"
- else
- QWT_LDFLAGS="-L${root}/lib"
- fi
- QWT_LIB="-lqwt"
- QWT="qwt"
- got_qwt=yes
- break;
- fi
- done
- done
+ for root in /usr /usr/local; do
+ for ver in qwt qwt5 qwt-qt4; do
+ if test -f ${root}/include/${ver}/qwt.h; then
+ QWT_INC="${root}/include/${ver}"
+ if test -d ${root}/lib64/; then
+ QWT_LDFLAGS="-L${root}/lib64"
+ elif test -d ${root}/lib/64/; then
+ QWT_LDFLAGS="-L${root}/64"
+ else
+ QWT_LDFLAGS="-L${root}/lib"
+ fi
+ QWT_LIB="-lqwt"
+ QWT="qwt"
+ got_qwt=yes
+ break;
+ fi
+ done
+ done
fi
fi
if test x$QWT_INC = x; then
if test "${enable_bwx_console+set}" = set; then
enableval=$enable_bwx_console;
if test x$enableval = xyes; then
- support_wx_console=yes
+ support_wx_console=yes
fi
if test "${enable_tray_monitor+set}" = set; then
enableval=$enable_tray_monitor;
if test x$enableval = xyes; then
- support_tray_monitor=yes
+ support_tray_monitor=yes
fi
if test "${enable_smartalloc+set}" = set; then
enableval=$enable_smartalloc;
if test x$enableval = xno; then
- support_smartalloc=no
+ support_smartalloc=no
fi
if test "${enable_static_tools+set}" = set; then
enableval=$enable_static_tools;
if test x$enableval = xyes; then
- support_static_tools=yes
+ support_static_tools=yes
fi
if test "${enable_static_fd+set}" = set; then
enableval=$enable_static_fd;
if test x$enableval = xyes; then
- support_static_fd=yes
+ support_static_fd=yes
fi
if test "${enable_static_sd+set}" = set; then
enableval=$enable_static_sd;
if test x$enableval = xyes; then
- support_static_sd=yes
+ support_static_sd=yes
fi
if test "${enable_static_dir+set}" = set; then
enableval=$enable_static_dir;
if test x$enableval = xyes; then
- support_static_dir=yes
+ support_static_dir=yes
fi
if test "${enable_static_cons+set}" = set; then
enableval=$enable_static_cons;
if test x$enableval = xyes; then
- support_static_cons=yes
+ support_static_cons=yes
fi
if test "${enable_client_only+set}" = set; then
enableval=$enable_client_only;
if test x$enableval = xyes; then
- build_client_only=yes
- db_type=None
- DB_TYPE=none
+ build_client_only=yes
+ db_type=None
+ DB_TYPE=none
fi
if test "${enable_build_dird+set}" = set; then
enableval=$enable_build_dird;
if test x$enableval = xno; then
- build_dird=no
+ build_dird=no
fi
if test "${enable_build_stored+set}" = set; then
enableval=$enable_build_stored;
if test x$enableval = xno; then
- build_stored=no
+ build_stored=no
fi
if test "${enable_conio+set}" = set; then
enableval=$enable_conio;
if test x$enableval = xno; then
- support_conio=no
+ support_conio=no
fi
if test "${enable_ipv6+set}" = set; then
enableval=$enable_ipv6;
if test x$enableval = xno; then
- support_ipv6=no
+ support_ipv6=no
fi
echo "${ECHO_T}$ac_cv_lib_curses_tgetent" >&6; }
if test $ac_cv_lib_curses_tgetent = yes; then
CONS_LIBS="-lcurses"
- CONS_OBJ="conio.o"
- CONS_SRC="conio.c"
- got_conio="yes"
- support_readline=no
+ CONS_OBJ="conio.o"
+ CONS_SRC="conio.c"
+ got_conio="yes"
+ support_readline=no
cat >>confdefs.h <<\_ACEOF
#define HAVE_CONIO 1
if test "${enable_readline+set}" = set; then
enableval=$enable_readline;
if test x$enableval = xno; then
- support_readline=no
+ support_readline=no
fi
# Check whether --with-readline was given.
if test "${with_readline+set}" = set; then
withval=$with_readline;
- case "$with_readline" in
- no)
- :
- ;;
- yes|*)
- if test -f ${with_readline}/readline.h; then
- CONS_INC="-I${with_readline}"
- CONS_LDFLAGS="-L$with_readline"
- elif test -f ${with_readline}/include/readline/readline.h; then
- CONS_INC="-I${with_readline}/include/readline"
- CONS_LDFLAGS="-L${with_readline}/lib"
- with_readline="${with_readline}/include/readline"
- else
- with_readline="/usr/include/readline"
- fi
-
- as_ac_Header=`echo "ac_cv_header_${with_readline}/readline.h" | $as_tr_sh`
+ case "$with_readline" in
+ no)
+ :
+ ;;
+ yes|*)
+ if test -f ${with_readline}/readline.h; then
+ CONS_INC="-I${with_readline}"
+ CONS_LDFLAGS="-L$with_readline"
+ elif test -f ${with_readline}/include/readline/readline.h; then
+ CONS_INC="-I${with_readline}/include/readline"
+ CONS_LDFLAGS="-L${with_readline}/lib"
+ with_readline="${with_readline}/include/readline"
+ else
+ with_readline="/usr/include/readline"
+ fi
+
+ as_ac_Header=`echo "ac_cv_header_${with_readline}/readline.h" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
{ echo "$as_me:$LINENO: checking for ${with_readline}/readline.h" >&5
echo $ECHO_N "checking for ${with_readline}/readline.h... $ECHO_C" >&6; }
#define HAVE_READLINE 1
_ACEOF
- CONS_LIBS="-lreadline -lhistory -ltermcap"
- got_readline="yes"
+ CONS_LIBS="-lreadline -lhistory -ltermcap"
+ got_readline="yes"
else
- echo " "
- echo "readline.h not found. readline turned off ..."
- echo " "
+ echo " "
+ echo "readline.h not found. readline turned off ..."
+ echo " "
fi
- ;;
- esac
+ ;;
+ esac
else
- if test "${ac_cv_header__usr_include_readline_readline_h+set}" = set; then
+ if test "${ac_cv_header__usr_include_readline_readline_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for /usr/include/readline/readline.h" >&5
echo $ECHO_N "checking for /usr/include/readline/readline.h... $ECHO_C" >&6; }
if test "${ac_cv_header__usr_include_readline_readline_h+set}" = set; then
#define HAVE_READLINE 1
_ACEOF
- got_readline="yes"
- CONS_INC="-I/usr/include/readline"
- CONS_LIBS="-lreadline -ltermcap"
+ got_readline="yes"
+ CONS_INC="-I/usr/include/readline"
+ CONS_LIBS="-lreadline -ltermcap"
else
- as_ac_Header=`echo "ac_cv_header_${TOP_DIR}/depkgs/readline/readline.h" | $as_tr_sh`
+ as_ac_Header=`echo "ac_cv_header_${TOP_DIR}/depkgs/readline/readline.h" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
{ echo "$as_me:$LINENO: checking for ${TOP_DIR}/depkgs/readline/readline.h" >&5
echo $ECHO_N "checking for ${TOP_DIR}/depkgs/readline/readline.h... $ECHO_C" >&6; }
#define HAVE_READLINE 1
_ACEOF
- got_readline="yes"
- CONS_INC="-I${TOP_DIR}/depkgs/readline"
- CONS_LIBS="-lreadline -lhistory -ltermcap"
- CONS_LDFLAGS="-L${TOP_DIR}/depkgs/readline"
- PRTREADLINE_SRC="${TOP_DIR}/depkgs/readline"
+ got_readline="yes"
+ CONS_INC="-I${TOP_DIR}/depkgs/readline"
+ CONS_LIBS="-lreadline -lhistory -ltermcap"
+ CONS_LDFLAGS="-L${TOP_DIR}/depkgs/readline"
+ PRTREADLINE_SRC="${TOP_DIR}/depkgs/readline"
else
- echo " "
- echo "readline.h not found. readline turned off ..."
- echo " "
+ echo " "
+ echo "readline.h not found. readline turned off ..."
+ echo " "
fi
PYTHON_INCDIR=
PYTHON_LIBS=
if test "$withval" != "no"; then
- if test "$withval" = "yes"; then
- for python_root in /usr /usr/local /usr/sfw; do
- for ver in python2.2 python2.3 python2.4 python2.5; do
- if test -f $python_root/include/${ver}/Python.h; then
- PYTHON_INCDIR=-I$python_root/include/${ver}
- if test -d $python_root/lib64/${ver}/config; then
- PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
- else
- PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
- fi
- break
- fi
- done
- done
-
- if test x$PYTHON_INCDIR = x; then
- if test -f $prefix/include/Python.h; then
- PYTHON_INCDIR=-I$prefix/include
- if test -d $prefix/lib64/config; then
- PYTHON_LIBS="-L$prefix/lib64/config -lpython"
- else
- PYTHON_LIBS="-L$prefix/lib/config -lpython"
- fi
- else
- { echo "$as_me:$LINENO: result: no" >&5
+ if test "$withval" = "yes"; then
+ for python_root in /usr /usr/local /usr/sfw; do
+ for ver in python2.2 python2.3 python2.4 python2.5; do
+ if test -f $python_root/include/${ver}/Python.h; then
+ PYTHON_INCDIR=-I$python_root/include/${ver}
+ if test -d $python_root/lib64/${ver}/config; then
+ PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
+ else
+ PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
+ fi
+ break
+ fi
+ done
+ done
+
+ if test x$PYTHON_INCDIR = x; then
+ if test -f $prefix/include/Python.h; then
+ PYTHON_INCDIR=-I$prefix/include
+ if test -d $prefix/lib64/config; then
+ PYTHON_LIBS="-L$prefix/lib64/config -lpython"
+ else
+ PYTHON_LIBS="-L$prefix/lib/config -lpython"
+ fi
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
- { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
+ { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
echo "$as_me: error: Unable to find Python.h in standard locations" >&2;}
{ (exit 1); exit 1; }; }
- fi
- fi
- else
- if test -f $withval/Python.h; then
- PYTHON_INCDIR=-I$withval
- PYTHON_LIBS="-L$withval/config -lpython"
- elif test -f $withval/include/Python.h; then
- PYTHON_INCDIR=-I$withval/include
- if test -d $withval/lib64/config; then
- PYTHON_LIBS="-L$withval/lib64/config -lpython"
- else
- PYTHON_LIBS="-L$withval/lib/config -lpython"
- fi
- elif test -f $withval/include/python/Python.h; then
- PYTHON_INCDIR=-I$withval/include/python
- if test -d $withval/lib64/python/config; then
- PYTHON_LIBS="-L$withval/lib64/python/config -lpython"
- else
- PYTHON_LIBS="-L$withval/lib/python/config -lpython"
- fi
- else
- { echo "$as_me:$LINENO: result: no" >&5
+ fi
+ fi
+ else
+ if test -f $withval/Python.h; then
+ PYTHON_INCDIR=-I$withval
+ PYTHON_LIBS="-L$withval/config -lpython"
+ elif test -f $withval/include/Python.h; then
+ PYTHON_INCDIR=-I$withval/include
+ if test -d $withval/lib64/config; then
+ PYTHON_LIBS="-L$withval/lib64/config -lpython"
+ else
+ PYTHON_LIBS="-L$withval/lib/config -lpython"
+ fi
+ elif test -f $withval/include/python/Python.h; then
+ PYTHON_INCDIR=-I$withval/include/python
+ if test -d $withval/lib64/python/config; then
+ PYTHON_LIBS="-L$withval/lib64/python/config -lpython"
+ else
+ PYTHON_LIBS="-L$withval/lib/python/config -lpython"
+ fi
+ else
+ { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
- { { echo "$as_me:$LINENO: error: Invalid Python directory $withval - unable to find Python.h under $withval" >&5
+ { { echo "$as_me:$LINENO: error: Invalid Python directory $withval - unable to find Python.h under $withval" >&5
echo "$as_me: error: Invalid Python directory $withval - unable to find Python.h under $withval" >&2;}
{ (exit 1); exit 1; }; }
- fi
- fi
+ fi
+ fi
- cat >>confdefs.h <<\_ACEOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_PYTHON 1
_ACEOF
- { echo "$as_me:$LINENO: result: yes" >&5
+ { echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
- support_python=yes
- { echo "$as_me:$LINENO: checking for more Python libs" >&5
+ support_python=yes
+ { echo "$as_me:$LINENO: checking for more Python libs" >&5
echo "$as_me: checking for more Python libs" >&6;}
- saved_LIBS="$LIBS"; LIBS=
- { echo "$as_me:$LINENO: checking for library containing shm_open" >&5
+ saved_LIBS="$LIBS"; LIBS=
+ { echo "$as_me:$LINENO: checking for library containing shm_open" >&5
echo $ECHO_N "checking for library containing shm_open... $ECHO_C" >&6; }
if test "${ac_cv_search_shm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
- PYTHON_LIBS="$PYTHON_LIBS $LIBS"
- LIBS="$saved_LIBS"
+ PYTHON_LIBS="$PYTHON_LIBS $LIBS"
+ LIBS="$saved_LIBS"
else
- { echo "$as_me:$LINENO: result: no" >&5
+ { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
if test "${with_tcp_wrappers+set}" = set; then
withval=$with_tcp_wrappers;
if test "x$withval" != "xno" ; then
- saved_LIBS="$LIBS"
- LIBS="$saved_LIBS -lwrap"
- { echo "$as_me:$LINENO: checking for libwrap" >&5
+ saved_LIBS="$LIBS"
+ LIBS="$saved_LIBS -lwrap"
+ { echo "$as_me:$LINENO: checking for libwrap" >&5
echo $ECHO_N "checking for libwrap... $ECHO_C" >&6; }
- { echo "$as_me:$LINENO: checking for library containing nanosleep" >&5
+ { echo "$as_me:$LINENO: checking for library containing nanosleep" >&5
echo $ECHO_N "checking for library containing nanosleep... $ECHO_C" >&6; }
if test "${ac_cv_search_nanosleep+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
- cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
- #include <tcpd.h>
- int deny_severity = 0;
- int allow_severity = 0;
- struct request_info *req;
+ #include <sys/types.h>
+ #include <tcpd.h>
+ int deny_severity = 0;
+ int allow_severity = 0;
+ struct request_info *req;
int
main ()
{
- hosts_access(req);
+ hosts_access(req);
;
return 0;
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
- { echo "$as_me:$LINENO: result: yes" >&5
+ { echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
cat >>confdefs.h <<\_ACEOF
#define HAVE_LIBWRAP 1
_ACEOF
- TCPW_MSG="yes"
- LIBS="$saved_LIBS"
- WRAPLIBS="-lwrap"
+ TCPW_MSG="yes"
+ LIBS="$saved_LIBS"
+ WRAPLIBS="-lwrap"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- LIBS="$saved_LIBS -lwrap -lnsl"
- WRAPLIBS="$saved_LIBS -lwrap -lnsl"
- cat >conftest.$ac_ext <<_ACEOF
+ LIBS="$saved_LIBS -lwrap -lnsl"
+ WRAPLIBS="$saved_LIBS -lwrap -lnsl"
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
- #include <tcpd.h>
- int deny_severity = 0;
- int allow_severity = 0;
- struct request_info *req;
+ #include <sys/types.h>
+ #include <tcpd.h>
+ int deny_severity = 0;
+ int allow_severity = 0;
+ struct request_info *req;
int
main ()
{
- hosts_access(req);
+ hosts_access(req);
;
return 0;
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
- { echo "$as_me:$LINENO: result: yes" >&5
+ { echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
cat >>confdefs.h <<\_ACEOF
#define HAVE_LIBWRAP 1
_ACEOF
- TCPW_MSG="yes"
- LIBS="$saved_LIBS"
- WRAPLIBS="-lwrap"
+ TCPW_MSG="yes"
+ LIBS="$saved_LIBS"
+ WRAPLIBS="-lwrap"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- { { echo "$as_me:$LINENO: error: *** libwrap missing" >&5
+ { { echo "$as_me:$LINENO: error: *** libwrap missing" >&5
echo "$as_me: error: *** libwrap missing" >&2;}
{ (exit 1); exit 1; }; }
# Check whether --with-openssl was given.
if test "${with_openssl+set}" = set; then
withval=$with_openssl;
- with_openssl_directory=${withval}
+ with_openssl_directory=${withval}
fi
# Make sure the $with_openssl_directory also makes sense
#
if test -d "$with_openssl_directory/lib" -a -d "$with_openssl_directory/include"; then
- OPENSSL_LIBS="-L$with_openssl_directory/lib $OPENSSL_LIBS"
- OPENSSL_INC="-I$with_openssl_directory/include $OPENSSL_INC"
+ OPENSSL_LIBS="-L$with_openssl_directory/lib $OPENSSL_LIBS"
+ OPENSSL_INC="-I$with_openssl_directory/include $OPENSSL_INC"
fi
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <openssl/ssl.h>
+ #include <openssl/ssl.h>
int
main ()
{
- CRYPTO_set_id_callback(NULL);
+ CRYPTO_set_id_callback(NULL);
;
return 0;
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
- support_tls="yes"
- support_crypto="yes"
+ support_tls="yes"
+ support_crypto="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- support_tls="no"
+ support_tls="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <openssl/evp.h>
+ #include <openssl/evp.h>
int
main ()
{
- EVP_sha512();
+ EVP_sha512();
;
return 0;
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
- ac_cv_openssl_sha2="yes"
+ ac_cv_openssl_sha2="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_openssl_sha2="no"
+ ac_cv_openssl_sha2="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <openssl/evp.h>
+ #include <openssl/evp.h>
int
main ()
{
- EVP_aes_192_cbc();
+ EVP_aes_192_cbc();
;
return 0;
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
- ac_cv_openssl_export="no"
+ ac_cv_openssl_export="no"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_openssl_export="yes"
+ ac_cv_openssl_export="yes"
fi
if test "${with_working_dir+set}" = set; then
withval=$with_working_dir;
if test "x$withval" != "xno" ; then
- working_dir=$withval
+ working_dir=$withval
fi
if test "${with_archivedir+set}" = set; then
withval=$with_archivedir;
if test "x$withval" != "xno" ; then
- archivedir=$withval
+ archivedir=$withval
fi
if test "${with_scriptdir+set}" = set; then
withval=$with_scriptdir;
if test "x$withval" != "xno" ; then
- scriptdir=$withval
+ scriptdir=$withval
fi
if test "${with_plugindir+set}" = set; then
withval=$with_plugindir;
if test "x$withval" != "xno" ; then
- plugindir=$withval
+ plugindir=$withval
fi
if test "${with_dump_email+set}" = set; then
withval=$with_dump_email;
if test "x$withval" != "xno" ; then
- dump_email=$withval
+ dump_email=$withval
fi
if test "${with_job_email+set}" = set; then
withval=$with_job_email;
if test "x$withval" != "xno" ; then
- job_email=$withval
+ job_email=$withval
fi
if test "${with_smtp_host+set}" = set; then
withval=$with_smtp_host;
if test "x$withval" != "xno" ; then
- smtp_host=$withval
+ smtp_host=$withval
fi
if test "${with_pid_dir+set}" = set; then
withval=$with_pid_dir;
if test "x$withval" != "xno" ; then
- piddir=$withval
+ piddir=$withval
fi
if test "${with_subsys_dir+set}" = set; then
withval=$with_subsys_dir;
if test "x$withval" != "xno" ; then
- subsysdir=$withval
+ subsysdir=$withval
fi
if test "${with_baseport+set}" = set; then
withval=$with_baseport;
if test "x$withval" != "xno" ; then
- baseport=$withval
+ baseport=$withval
fi
if test "${with_dir_password+set}" = set; then
withval=$with_dir_password;
if test "x$withval" != "xno" ; then
- dir_password=$withval
+ dir_password=$withval
fi
if test "${with_fd_password+set}" = set; then
withval=$with_fd_password;
if test "x$withval" != "xno" ; then
- fd_password=$withval
+ fd_password=$withval
fi
if test "${with_sd_password+set}" = set; then
withval=$with_sd_password;
if test "x$withval" != "xno" ; then
- sd_password=$withval
+ sd_password=$withval
fi
if test "${with_mon_dir_password+set}" = set; then
withval=$with_mon_dir_password;
if test "x$withval" != "xno" ; then
- mon_dir_password=$withval
+ mon_dir_password=$withval
fi
if test "${with_mon_fd_password+set}" = set; then
withval=$with_mon_fd_password;
if test "x$withval" != "xno" ; then
- mon_fd_password=$withval
+ mon_fd_password=$withval
fi
if test "${with_mon_sd_password+set}" = set; then
withval=$with_mon_sd_password;
if test "x$withval" != "xno" ; then
- mon_sd_password=$withval
+ mon_sd_password=$withval
fi
if test "${with_db_name+set}" = set; then
withval=$with_db_name;
if test "x$withval" != "x" ; then
- db_name=$withval
+ db_name=$withval
fi
if test "${with_db_user+set}" = set; then
withval=$with_db_user;
if test "x$withval" != "x" ; then
- db_user=$withval
+ db_user=$withval
fi
if test "${with_db_password+set}" = set; then
withval=$with_db_password;
if test "x$withval" != "x" ; then
- db_password=$withval
+ db_password=$withval
fi
if test "${with_db_port+set}" = set; then
withval=$with_db_port;
if test "x$withval" != "x" ; then
- db_port=$withval
+ db_port=$withval
fi
if test "${with_dir_user+set}" = set; then
withval=$with_dir_user;
if test "x$withval" != "x" ; then
- dir_user=$withval
+ dir_user=$withval
fi
if test "${with_dir_group+set}" = set; then
withval=$with_dir_group;
if test "x$withval" != "x" ; then
- dir_group=$withval
+ dir_group=$withval
fi
if test "${with_sd_user+set}" = set; then
withval=$with_sd_user;
if test "x$withval" != "x" ; then
- sd_user=$withval
+ sd_user=$withval
fi
if test "${with_sd_group+set}" = set; then
withval=$with_sd_group;
if test "x$withval" != "x" ; then
- sd_group=$withval
+ sd_group=$withval
fi
if test "${with_fd_user+set}" = set; then
withval=$with_fd_user;
if test "x$withval" != "x" ; then
- fd_user=$withval
+ fd_user=$withval
fi
if test "${with_fd_group+set}" = set; then
withval=$with_fd_group;
if test "x$withval" != "x" ; then
- fd_group=$withval
+ fd_group=$withval
fi
if test "${with_sbin_perm+set}" = set; then
withval=$with_sbin_perm;
if test "x$withval" != "x" ; then
- SBINPERM=$withval
+ SBINPERM=$withval
fi
# Check whether --enable-batch-insert was given.
if test "${enable_batch_insert+set}" = set; then
enableval=$enable_batch_insert;
- if test x$enableval = xno; then
- support_batch_insert=no
- else
- support_batch_insert=yes
- fi
+ if test x$enableval = xno; then
+ support_batch_insert=no
+ else
+ support_batch_insert=yes
+ fi
fi
# Check whether --enable-batch-insert was given.
if test "${enable_batch_insert+set}" = set; then
enableval=$enable_batch_insert;
- if test x$enableval = xno; then
- support_batch_insert=no
- else
- support_batch_insert=yes
- fi
+ if test x$enableval = xno; then
+ support_batch_insert=no
+ else
+ support_batch_insert=yes
+ fi
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
- #include <utime.h>
+ #include <sys/types.h>
+ #include <utime.h>
int
main ()
{
- struct utimbuf foo
+ struct utimbuf foo
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ba_cv_header_utime_h=yes
+ ba_cv_header_utime_h=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ba_cv_header_utime_h=no
+ ba_cv_header_utime_h=no
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
- #include <sys/socket.h>
+ #include <sys/types.h>
+ #include <sys/socket.h>
int
main ()
{
- socklen_t x
+ socklen_t x
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ba_cv_header_socklen_t=yes
+ ba_cv_header_socklen_t=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ba_cv_header_socklen_t=no
+ ba_cv_header_socklen_t=no
fi
if test "$cross_compiling" = yes; then
- ba_cv_bigendian=no
+ ba_cv_bigendian=no
else
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- main(){long a=1L; char *p=(char *)&a; exit(*p);}
+ main(){long a=1L; char *p=(char *)&a; exit(*p);}
_ACEOF
rm -f conftest$ac_exeext
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ba_cv_bigendian=yes
+ ba_cv_bigendian=yes
else
echo "$as_me: program exited with status $ac_status" >&5
( exit $ac_status )
- ba_cv_bigendian=no
+ ba_cv_bigendian=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
if test "$cross_compiling" = yes; then
- ba_cv_have_typeof=no
+ ba_cv_have_typeof=no
else
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- main(){char *a = 0; a = (typeof a)a;}
+ main(){char *a = 0; a = (typeof a)a;}
_ACEOF
rm -f conftest$ac_exeext
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ba_cv_have_typeof=yes
+ ba_cv_have_typeof=yes
else
echo "$as_me: program exited with status $ac_status" >&5
( exit $ac_status )
- ba_cv_have_typeof=no
+ ba_cv_have_typeof=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/statfs.h>
- #include <sys/fstyp.h>
+ #include <sys/statfs.h>
+ #include <sys/fstyp.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/statfs.h>
- #include <sys/vmount.h>
+ #include <sys/statfs.h>
+ #include <sys/vmount.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <mntent.h>
+ #include <mntent.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/mount.h>
- #include <sys/fs_types.h>
+ #include <sys/mount.h>
+ #include <sys/fs_types.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
+ #include <sys/types.h>
int
main ()
{
- u_int a; a = 1;
+ u_int a; a = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_u_int="yes"
+ ac_cv_have_u_int="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_have_u_int="no"
+ ac_cv_have_u_int="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
+ #include <sys/types.h>
int
main ()
{
- intmax_t a; a = 1;
+ intmax_t a; a = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_intmax_t="yes"
+ ac_cv_have_intmax_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <stdint.h>
+ #include <stdint.h>
int
main ()
{
- intmax_t a; a = 1;
+ intmax_t a; a = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_intmax_t="yes"
+ ac_cv_have_intmax_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_have_intmax_t="no"
+ ac_cv_have_intmax_t="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
+ #include <sys/types.h>
int
main ()
{
- u_intmax_t a; a = 1;
+ u_intmax_t a; a = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_u_intmax_t="yes"
+ ac_cv_have_u_intmax_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <stdint.h>
+ #include <stdint.h>
int
main ()
{
- u_intmax_t a; a = 1;
+ u_intmax_t a; a = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_u_intmax_t="yes"
+ ac_cv_have_u_intmax_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_have_u_intmax_t="no"
+ ac_cv_have_u_intmax_t="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
+ #include <sys/types.h>
int
main ()
{
- int8_t a; int16_t b; int32_t c; a = b = c = 1;
+ int8_t a; int16_t b; int32_t c; a = b = c = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_intxx_t="yes"
+ ac_cv_have_intxx_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_have_intxx_t="no"
+ ac_cv_have_intxx_t="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
+ #include <sys/types.h>
int
main ()
{
- int64_t a; a = 1;
+ int64_t a; a = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_int64_t="yes"
+ ac_cv_have_int64_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_have_int64_t="no"
+ ac_cv_have_int64_t="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
+ #include <sys/types.h>
int
main ()
{
- u_int8_t a; u_int16_t b; u_int32_t c; a = b = c = 1;
+ u_int8_t a; u_int16_t b; u_int32_t c; a = b = c = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_u_intxx_t="yes"
+ ac_cv_have_u_intxx_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_have_u_intxx_t="no"
+ ac_cv_have_u_intxx_t="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
+ #include <sys/types.h>
int
main ()
{
- u_int64_t a; a = 1;
+ u_int64_t a; a = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_u_int64_t="yes"
+ ac_cv_have_u_int64_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_have_u_int64_t="no"
+ ac_cv_have_u_int64_t="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/bitypes.h>
+ #include <sys/bitypes.h>
int
main ()
{
- int8_t a; int16_t b; int32_t c;
- u_int8_t e; u_int16_t f; u_int32_t g;
- a = b = c = e = f = g = 1;
+ int8_t a; int16_t b; int32_t c;
+ u_int8_t e; u_int16_t f; u_int32_t g;
+ a = b = c = e = f = g = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- cat >>confdefs.h <<\_ACEOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_U_INTXX_T 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_INTXX_T 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_SYS_BITYPES_H 1
_ACEOF
- { echo "$as_me:$LINENO: result: yes" >&5
+ { echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
else
sed 's/^/| /' conftest.$ac_ext >&5
- { echo "$as_me:$LINENO: result: no" >&5
+ { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/types.h>
+ #include <sys/types.h>
int
main ()
{
- uint8_t a; uint16_t b;
- uint32_t c; a = b = c = 1;
+ uint8_t a; uint16_t b;
+ uint32_t c; a = b = c = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_have_uintxx_t="yes"
+ ac_cv_have_uintxx_t="yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_have_uintxx_t="no"
+ ac_cv_have_uintxx_t="no"
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/bitypes.h>
+ #include <sys/bitypes.h>
int
main ()
{
- int64_t a; u_int64_t b;
- a = b = 1;
+ int64_t a; u_int64_t b;
+ a = b = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- cat >>confdefs.h <<\_ACEOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_U_INT64_T 1
_ACEOF
- cat >>confdefs.h <<\_ACEOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_INT64_T 1
_ACEOF
- { echo "$as_me:$LINENO: result: yes" >&5
+ { echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
else
sed 's/^/| /' conftest.$ac_ext >&5
- { echo "$as_me:$LINENO: result: no" >&5
+ { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/bitypes.h>
+ #include <sys/bitypes.h>
int
main ()
{
- uint8_t a; uint16_t b;
- uint32_t c; a = b = c = 1;
+ uint8_t a; uint16_t b;
+ uint32_t c; a = b = c = 1;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- cat >>confdefs.h <<\_ACEOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_UINTXX_T 1
_ACEOF
- { echo "$as_me:$LINENO: result: yes" >&5
+ { echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
else
sed 's/^/| /' conftest.$ac_ext >&5
- { echo "$as_me:$LINENO: result: no" >&5
+ { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <stdarg.h>
- void use_va_copy(va_list args){va_list args2; va_copy(args2,args); va_end(args2);}
- void call_use_va_copy(int junk,...){va_list args; va_start(args,junk); use_va_copy(args); va_end(args);}
+ #include <stdarg.h>
+ void use_va_copy(va_list args){va_list args2; va_copy(args2,args); va_end(args2);}
+ void call_use_va_copy(int junk,...){va_list args; va_start(args,junk); use_va_copy(args); va_end(args);}
int
main ()
{
- call_use_va_copy(1,2,3)
+ call_use_va_copy(1,2,3)
;
return 0;
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
- ba_cv_va_copy=yes,
+ ba_cv_va_copy=yes,
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ba_cv_va_copy=no
+ ba_cv_va_copy=no
fi
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #include <sys/socket.h>
+ #include <sys/socket.h>
int
main ()
{
- struct sockaddr s; s.sa_len;
+ struct sockaddr s; s.sa_len;
;
return 0;
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_struct_sockaddr_sa_len=yes
+ ac_cv_struct_sockaddr_sa_len=yes
else
echo "$as_me: failed program was:" >&5
_ACEOF
fi
- # AC_FUNC_FNMATCH dnl use local version
+ # AC_FUNC_FNMATCH dnl use local version
{ echo "$as_me:$LINENO: checking for gettext in -lintl" >&5
echo $ECHO_N "checking for gettext in -lintl... $ECHO_C" >&6; }
echo "${ECHO_T}$ac_cv_lib_acl_acl_get_file" >&6; }
if test $ac_cv_lib_acl_acl_get_file = yes; then
- have_acl=yes;
- FDLIBS="-lacl $FDLIBS"
+ have_acl=yes;
+ FDLIBS="-lacl $FDLIBS"
else
- { echo "$as_me:$LINENO: checking for acltotext in -lsec" >&5
+ { echo "$as_me:$LINENO: checking for acltotext in -lsec" >&5
echo $ECHO_N "checking for acltotext in -lsec... $ECHO_C" >&6; }
if test "${ac_cv_lib_sec_acltotext+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
echo "${ECHO_T}$ac_cv_lib_sec_acltotext" >&6; }
if test $ac_cv_lib_sec_acltotext = yes; then
- have_acl=yes;
- FDLIBS="-lsec $FDLIBS"
+ have_acl=yes;
+ FDLIBS="-lsec $FDLIBS"
fi
PTHREAD_LIB="-lpthreads"
else
- { echo "$as_me:$LINENO: checking for pthread_create in -lc_r" >&5
+ { echo "$as_me:$LINENO: checking for pthread_create in -lc_r" >&5
echo $ECHO_N "checking for pthread_create in -lc_r... $ECHO_C" >&6; }
if test "${ac_cv_lib_c_r_pthread_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
PTHREAD_LIB="-lc_r"
else
- { echo "$as_me:$LINENO: checking for pthread_create" >&5
+ { echo "$as_me:$LINENO: checking for pthread_create" >&5
echo $ECHO_N "checking for pthread_create... $ECHO_C" >&6; }
if test "${ac_cv_func_pthread_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
if test -f /etc/lsb-release ; then
. /etc/lsb-release
if test "x$DISTRIB_ID" != "x" ; then
- DISTNAME=$DISTRIB_ID
+ DISTNAME=$DISTRIB_ID
fi
if test "x$DISTRIB_RELEASE" != "x" ; then
- DISTVER=$DISTRIB_RELEASE
+ DISTVER=$DISTRIB_RELEASE
fi
fi
if test "$DISTNAME" = "Ubuntu" ; then
PSCMD="ps -e -o pid,command"
if test "$DISTNAME" = "ubuntu" ; then
PFILES="${PFILES} \
- platforms/ubuntu/Makefile \
- platforms/ubuntu/bacula-fd \
- platforms/ubuntu/bacula-sd \
- platforms/ubuntu/bacula-dir"
+ platforms/ubuntu/Makefile \
+ platforms/ubuntu/bacula-fd \
+ platforms/ubuntu/bacula-sd \
+ platforms/ubuntu/bacula-dir"
else
PFILES="${PFILES} \
- platforms/debian/Makefile \
- platforms/debian/bacula-fd \
- platforms/debian/bacula-sd \
- platforms/debian/bacula-dir"
+ platforms/debian/Makefile \
+ platforms/debian/bacula-fd \
+ platforms/debian/bacula-sd \
+ platforms/debian/bacula-dir"
fi
;;
freebsd)
f=/etc/redhat-release
fi
if test `cat $f | grep release |\
- cut -f 3 -d ' '`x = "Enterprise"x ; then
+ cut -f 3 -d ' '`x = "Enterprise"x ; then
DISTVER="Enterprise "`cat $f | grep release |\
- cut -f 6 -d ' '`
+ cut -f 6 -d ' '`
else
DISTVER=`cat /etc/redhat-release | grep release |\
- cut -f 5 -d ' '`
+ cut -f 5 -d ' '`
fi
TAPEDRIVE="/dev/nst0"
PSCMD="ps -e -o pid,command"
LIBTOOL_INSTALL_TARGET!$LIBTOOL_INSTALL_TARGET$ac_delim
LIBTOOL_UNINSTALL_TARGET!$LIBTOOL_UNINSTALL_TARGET$ac_delim
LIBTOOL_CLEAN_TARGET!$LIBTOOL_CLEAN_TARGET$ac_delim
+INCLUDE_INSTALL_TARGET!$INCLUDE_INSTALL_TARGET$ac_delim
+INCLUDE_UNINSTALL_TARGET!$INCLUDE_UNINSTALL_TARGET$ac_delim
QMAKE_LIBTOOL!$QMAKE_LIBTOOL$ac_delim
HAVE_SUN_OS_TRUE!$HAVE_SUN_OS_TRUE$ac_delim
HAVE_SUN_OS_FALSE!$HAVE_SUN_OS_FALSE$ac_delim
QWT_LIB!$QWT_LIB$ac_delim
QWT!$QWT$ac_delim
WXCONS_CPPFLAGS!$WXCONS_CPPFLAGS$ac_delim
-WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
-WX_DIR!$WX_DIR$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
+WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
+WX_DIR!$WX_DIR$ac_delim
TRAY_MONITOR_CPPFLAGS!$TRAY_MONITOR_CPPFLAGS$ac_delim
TRAY_MONITOR_LDFLAGS!$TRAY_MONITOR_LDFLAGS$ac_delim
TRAY_MONITOR_DIR!$TRAY_MONITOR_DIR$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 87; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 89; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
c=updatedb
chmod 755 $c/update_mysql_tables_10_to_11 $c/update_sqlite3_tables_10_to_11
-chmod 755 $c/update_postgresql_tables_10_to_11 $c/update_sqlite_tables_10_to_11
+chmod 755 $c/update_postgresql_tables_10_to_11 $c/update_sqlite_tables_10_to_11
c=src/cats
chmod 755 $c/grant_sqlite_privileges $c/drop_sqlite_tables $c/drop_sqlite_database
chmod 755 $c/create_sqlite3_database $c/update_sqlite3_tables $c/make_sqlite3_tables
-chmod 755 $c/grant_sqlite3_privileges $c/drop_sqlite3_tables $c/drop_sqlite3_database
+chmod 755 $c/grant_sqlite3_privileges $c/drop_sqlite3_tables $c/drop_sqlite3_database
chmod 755 $c/create_postgresql_database $c/update_postgresql_tables $c/make_postgresql_tables
chmod 755 $c/grant_postgresql_privileges $c/drop_postgresql_tables $c/drop_postgresql_database
echo "
Configuration on `date`:
- Host: ${host}${post_host} -- ${DISTNAME} ${DISTVER}
- Bacula version: ${BACULA} ${VERSION} (${DATE})
+ Host: ${host}${post_host} -- ${DISTNAME} ${DISTVER}
+ Bacula version: ${BACULA} ${VERSION} (${DATE})
Source code location: ${srcdir}
- Install binaries: ${sbindir}
- Install libraries: ${libdir}
+ Install binaries: ${sbindir}
+ Install libraries: ${libdir}
Install config files: ${sysconfdir}
- Scripts directory: ${scriptdir}
- Archive directory: ${archivedir}
- Working directory: ${working_dir}
- PID directory: ${piddir}
- Subsys directory: ${subsysdir}
- Man directory: ${mandir}
- Data directory: ${datarootdir}
- C Compiler: ${CC} ${CCVERSION}
- C++ Compiler: ${CXX} ${CXXVERSION}
- Compiler flags: ${WCFLAGS} ${CFLAGS}
- Linker flags: ${WLDFLAGS} ${LDFLAGS}
- Libraries: ${LIBS}
+ Scripts directory: ${scriptdir}
+ Archive directory: ${archivedir}
+ Working directory: ${working_dir}
+ PID directory: ${piddir}
+ Subsys directory: ${subsysdir}
+ Man directory: ${mandir}
+ Data directory: ${datarootdir}
+ C Compiler: ${CC} ${CCVERSION}
+ C++ Compiler: ${CXX} ${CXXVERSION}
+ Compiler flags: ${WCFLAGS} ${CFLAGS}
+ Linker flags: ${WLDFLAGS} ${LDFLAGS}
+ Libraries: ${LIBS}
Statically Linked Tools: ${support_static_tools}
Statically Linked FD: ${support_static_fd}
Statically Linked SD: ${support_static_sd}
Statically Linked DIR: ${support_static_dir}
Statically Linked CONS: ${support_static_cons}
- Database type: ${db_type}
- Database port: ${db_port}
- Database lib: ${DB_LIBS}
- Database name: ${db_name}
- Database user: ${db_user}
-
- Job Output Email: ${job_email}
- Traceback Email: ${dump_email}
- SMTP Host Address: ${smtp_host}
-
- Director Port: ${dir_port}
- File daemon Port: ${fd_port}
+ Database type: ${db_type}
+ Database port: ${db_port}
+ Database lib: ${DB_LIBS}
+ Database name: ${db_name}
+ Database user: ${db_user}
+
+ Job Output Email: ${job_email}
+ Traceback Email: ${dump_email}
+ SMTP Host Address: ${smtp_host}
+
+ Director Port: ${dir_port}
+ File daemon Port: ${fd_port}
Storage daemon Port: ${sd_port}
- Director User: ${dir_user}
- Director Group: ${dir_group}
+ Director User: ${dir_user}
+ Director Group: ${dir_group}
Storage Daemon User: ${sd_user}
Storage DaemonGroup: ${sd_group}
- File Daemon User: ${fd_user}
- File Daemon Group: ${fd_group}
+ File Daemon User: ${fd_user}
+ File Daemon Group: ${fd_group}
SQL binaries Directory ${SQL_BINDIR}
- Large file support: $largefile_support
+ Large file support: $largefile_support
Bacula conio support: ${got_conio} ${CONS_LIBS}
- readline support: ${got_readline} ${PRTREADLINE_SRC}
+ readline support: ${got_readline} ${PRTREADLINE_SRC}
TCP Wrappers support: ${TCPW_MSG} ${WRAPLIBS}
- TLS support: ${support_tls}
- Encryption support: ${support_crypto}
- ZLIB support: ${have_zlib}
- enable-smartalloc: ${support_smartalloc}
- bat support: ${support_bat} ${QWT_LDFLAGS}
- enable-gnome: ${support_gnome} ${gnome_version}
- enable-bwx-console: ${support_wx_console} ${wx_version}
+ TLS support: ${support_tls}
+ Encryption support: ${support_crypto}
+ ZLIB support: ${have_zlib}
+ enable-smartalloc: ${support_smartalloc}
+ bat support: ${support_bat} ${QWT_LDFLAGS}
+ enable-gnome: ${support_gnome} ${gnome_version}
+ enable-bwx-console: ${support_wx_console} ${wx_version}
enable-tray-monitor: ${support_tray_monitor}
- client-only: ${build_client_only}
- build-dird: ${build_dird}
- build-stored: ${build_stored}
- ACL support: ${have_acl}
- Python support: ${support_python} ${PYTHON_LIBS}
+ client-only: ${build_client_only}
+ build-dird: ${build_dird}
+ build-stored: ${build_stored}
+ ACL support: ${have_acl}
+ Python support: ${support_python} ${PYTHON_LIBS}
Batch insert enabled: ${support_batch_insert}
" > config.out